#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(sdhci_uhs2_dump_regs, "_gpl", "");
KSYMTAB_FUNC(sdhci_uhs2_reset, "_gpl", "");
KSYMTAB_FUNC(sdhci_uhs2_set_power, "_gpl", "");
KSYMTAB_FUNC(sdhci_uhs2_set_timeout, "_gpl", "");
KSYMTAB_FUNC(sdhci_uhs2_clear_set_irqs, "_gpl", "");
KSYMTAB_FUNC(sdhci_uhs2_irq, "_gpl", "");
KSYMTAB_FUNC(sdhci_uhs2_add_host, "_gpl", "");
KSYMTAB_FUNC(sdhci_uhs2_remove_host, "_gpl", "");

SYMBOL_CRC(sdhci_uhs2_dump_regs, 0x11d9c24a, "_gpl");
SYMBOL_CRC(sdhci_uhs2_reset, 0x3a17773e, "_gpl");
SYMBOL_CRC(sdhci_uhs2_set_power, 0xdd7d3c55, "_gpl");
SYMBOL_CRC(sdhci_uhs2_set_timeout, 0x6527e29e, "_gpl");
SYMBOL_CRC(sdhci_uhs2_clear_set_irqs, 0xc0b11c25, "_gpl");
SYMBOL_CRC(sdhci_uhs2_irq, 0x9e0b14bf, "_gpl");
SYMBOL_CRC(sdhci_uhs2_add_host, 0x7ad70f7d, "_gpl");
SYMBOL_CRC(sdhci_uhs2_remove_host, 0x152f957f, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x070f7896, "_printk" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x178b426c, "__sdhci_set_timeout" },
	{ 0xbc8862ba, "mmc_regulator_set_ocr" },
	{ 0xb32c89e8, "mmc_regulator_set_vqmmc2" },
	{ 0x03082f95, "sdhci_get_vdd_value" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x56470118, "__warn_printk" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x685aeb6a, "sdhci_remove_host" },
	{ 0xc370cead, "sdhci_setup_host" },
	{ 0xd05f2bc1, "__sdhci_add_host" },
	{ 0x462d4a29, "sdhci_cleanup_host" },
	{ 0x95f73595, "regulator_get_current_limit" },
	{ 0x0f754318, "sdhci_data_line_cmd" },
	{ 0x023fe233, "sdhci_initialize_data" },
	{ 0xab0fa062, "sdhci_prepare_dma" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xcb719968, "sdhci_mod_timer" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x454cc330, "sdhci_present_error" },
	{ 0xffae8e8b, "nsecs_to_jiffies" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0x292600d8, "sdhci_dumpregs" },
	{ 0xebc2e435, "sdhci_finish_mrq" },
	{ 0xc00cea09, "sdhci_request" },
	{ 0x4b6841ef, "__sdhci_finish_mrq" },
	{ 0x302eaf72, "__sdhci_finish_data_common" },
	{ 0x0094a371, "mmc_command_done" },
	{ 0xb9cb6993, "sdhci_needs_reset" },
	{ 0x4a94a864, "sdhci_request_done_dma" },
	{ 0xc072f8cd, "sdhci_do_reset" },
	{ 0x3d1d0f9f, "mmc_request_done" },
	{ 0x83d9a69e, "mmc_detect_change" },
	{ 0x9b1d369c, "sdhci_thread_irq" },
	{ 0x3ee3b87c, "sdhci_complete_work" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x08e48f09, "sdhci_set_ios_common" },
	{ 0x3bd7fb3d, "sdhci_set_clock" },
	{ 0xfb8ee962, "sdhci_enable_preset_value" },
	{ 0x61f35abd, "sdhci_set_ios" },
	{ 0xee11a538, "module_layout" },
};

MODULE_INFO(depends, "sdhci,mmc_core");


MODULE_INFO(srcversion, "299B41F5CD50B61E53A4431");
