#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(tun_ptr_free, "_gpl", "");
KSYMTAB_FUNC(tun_get_socket, "_gpl", "");
KSYMTAB_FUNC(tun_get_tx_ring, "_gpl", "");

SYMBOL_CRC(tun_ptr_free, 0x4099f919, "_gpl");
SYMBOL_CRC(tun_get_socket, 0xa217eac1, "_gpl");
SYMBOL_CRC(tun_get_tx_ring, 0xdc463e4a, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x738803e6, "strnlen" },
	{ 0x5e35dc80, "__fortify_panic" },
	{ 0x7d7c61c5, "file_f_owner_allocate" },
	{ 0x521e5b86, "fasync_helper" },
	{ 0x107fdcfc, "const_pcpu_hot" },
	{ 0xfe6f6bf9, "__f_setown" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x90bb6f91, "netdev_info" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x50fad434, "round_jiffies_up" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x8c557f00, "netif_carrier_on" },
	{ 0x7d71d709, "netif_carrier_off" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0x51813ef6, "nla_put" },
	{ 0xb3c9e5da, "from_kgid_munged" },
	{ 0x4012dd6e, "from_kuid_munged" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x3bcfa496, "bpf_prog_destroy" },
	{ 0x037a0cba, "kfree" },
	{ 0x49608959, "migrate_disable" },
	{ 0xf84bd6ee, "bpf_stats_enabled_key" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x4d7272e4, "migrate_enable" },
	{ 0xe94986d6, "sched_clock" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x57b7a7ea, "__skb_get_hash_symmetric_net" },
	{ 0xc19f3c35, "netif_tx_stop_all_queues" },
	{ 0x23f89363, "dev_get_tstats64" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x0e18f22d, "bpf_prog_get_type_dev" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x82af48b8, "kmalloc_caches" },
	{ 0x2545b7b4, "__kmalloc_cache_noprof" },
	{ 0x0c3690fc, "_raw_spin_lock_bh" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x070f7896, "_printk" },
	{ 0x6430954b, "rtnl_link_register" },
	{ 0x8c7e7456, "misc_register" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x0f278515, "misc_deregister" },
	{ 0xf97c665d, "rtnl_link_unregister" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x2a8befe4, "xdp_return_frame" },
	{ 0xbb8da598, "sk_skb_reason_drop" },
	{ 0xba220db7, "__wake_up_sync_key" },
	{ 0xabafb943, "kill_fasync" },
	{ 0x4282a198, "net_hotdata" },
	{ 0x2e92d24f, "pcpu_hot" },
	{ 0xc116d530, "napi_gro_receive" },
	{ 0x1a76c064, "napi_complete_done" },
	{ 0x75b37948, "bpf_prog_put" },
	{ 0x8068cf36, "netdev_core_stats_inc" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xcee53298, "sk_alloc" },
	{ 0x1d066419, "__kvmalloc_node_noprof" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x2443efe4, "sock_init_data_uid" },
	{ 0xc1b133ea, "sk_free" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x50097088, "security_tun_dev_free_security" },
	{ 0xe6251435, "build_skb" },
	{ 0x9594b1fb, "skb_put" },
	{ 0x155feb8c, "skb_set_owner_w" },
	{ 0x23e89c83, "sk_filter_trim_cap" },
	{ 0x550540ae, "skb_tx_error" },
	{ 0x5ecdd632, "skb_tstamp_tx" },
	{ 0x96408e22, "crc32_le_arch" },
	{ 0x78041b8f, "byte_rev_table" },
	{ 0x8761c87b, "rps_needed" },
	{ 0xd2800691, "nf_conntrack_destroy" },
	{ 0xcfff3c4c, "skb_copy_ubufs" },
	{ 0x0296695f, "refcount_warn_saturate" },
	{ 0x2f2c2a51, "___pskb_trim" },
	{ 0x4809dbb8, "skb_queue_purge_reason" },
	{ 0xc36cb6a5, "napi_disable" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0xa3284c51, "xdp_rxq_info_unreg" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0xcba5218a, "__netif_napi_del_locked" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0xe1df6b04, "module_put" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x384785e1, "seq_printf" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xaf70bc63, "__kmalloc_noprof" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xa515fef3, "netif_set_real_num_tx_queues" },
	{ 0x51142921, "netif_set_real_num_rx_queues" },
	{ 0x853d3535, "unregister_netdevice_queue" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x6cc48b7a, "netdev_state_change" },
	{ 0xebafb39a, "flow_keys_basic_dissector" },
	{ 0x96909ebd, "__skb_flow_dissect" },
	{ 0xe54b51a3, "skb_partial_csum_set" },
	{ 0x188fe847, "__pskb_pull_tail" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x75179c38, "_copy_to_iter" },
	{ 0x0c7aae30, "iov_iter_advance" },
	{ 0x4d77c40e, "skb_copy_datagram_iter" },
	{ 0xb7dfd0b0, "consume_skb" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x4afb2238, "add_wait_queue" },
	{ 0x37110088, "remove_wait_queue" },
	{ 0x4292364c, "schedule" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0xe71a50b1, "netdev_err" },
	{ 0x4059792f, "print_hex_dump" },
	{ 0xf2bd8ab6, "sock_recv_errqueue" },
	{ 0x78a512ad, "xdp_do_redirect" },
	{ 0xaf5057fb, "bpf_warn_invalid_xdp_action" },
	{ 0xc6d8c48f, "__tracepoint_xdp_exception" },
	{ 0x7bcf5f59, "__cpu_online_mask" },
	{ 0x8fa9d9e8, "__SCT__tp_func_xdp_exception" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x35f3dee5, "xdp_return_frame_rx_napi" },
	{ 0xf80e11c3, "xdp_convert_zc_to_xdp_frame" },
	{ 0xbb7195a5, "xdp_warn" },
	{ 0xddfa864d, "skb_page_frag_refill" },
	{ 0x1870c92a, "page_address" },
	{ 0xf5571cfa, "copy_page_from_iter" },
	{ 0x03b814ca, "bpf_dispatcher_xdp_func" },
	{ 0x146cc88f, "bpf_master_redirect_enabled_key" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xf377467c, "xdp_master_redirect" },
	{ 0x2d862da0, "__folio_put" },
	{ 0xb9681621, "xdp_do_flush" },
	{ 0xf16ea333, "_copy_from_iter" },
	{ 0x3d9b3746, "iov_iter_npages" },
	{ 0x1f406ea2, "sock_alloc_send_pskb" },
	{ 0xf369d448, "zerocopy_sg_from_iter" },
	{ 0x631f5fb2, "eth_type_trans" },
	{ 0xbc114cde, "skb_copy_datagram_from_iter" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0xb20a3022, "do_xdp_generic" },
	{ 0xbd32259f, "iov_iter_revert" },
	{ 0xb7aba613, "netif_receive_skb" },
	{ 0x3485351e, "skb_push" },
	{ 0x8f7203ee, "eth_get_headlen" },
	{ 0xe7822ca9, "napi_schedule_prep" },
	{ 0x7fda1be4, "napi_gro_frags" },
	{ 0x537711ee, "napi_get_frags" },
	{ 0x94b0a3cc, "iov_iter_single_seg_count" },
	{ 0x0e84445b, "pskb_expand_head" },
	{ 0x91a488ac, "__netdev_alloc_frag_align" },
	{ 0x420eabe4, "mem_section" },
	{ 0x8598f589, "__napi_schedule" },
	{ 0xd701babe, "__page_frag_cache_drain" },
	{ 0x9b9a67d4, "security_tun_dev_attach" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xab84e17c, "xdp_rxq_info_is_reg" },
	{ 0x318f8f45, "lock_sock_nested" },
	{ 0xad1473f5, "sk_attach_filter" },
	{ 0x7cb0788b, "release_sock" },
	{ 0x1193c00e, "__xdp_rxq_info_reg" },
	{ 0x1a566b4a, "xdp_rxq_info_reg_mem_model" },
	{ 0x4db69f3a, "netif_napi_add_weight_locked" },
	{ 0x08757088, "napi_enable" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x438610bd, "security_tun_dev_alloc_security" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x7ae3aac5, "ns_capable" },
	{ 0x59d97bd6, "get_net_ns" },
	{ 0xd70ab083, "open_related_ns" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0xc6cbbc89, "capable" },
	{ 0x8ed16f3e, "__dev_get_by_name" },
	{ 0x34f3484e, "security_tun_dev_attach_queue" },
	{ 0x109bcb99, "make_kgid" },
	{ 0x4f1cd128, "security_tun_dev_create" },
	{ 0xbc8b274a, "alloc_netdev_mqs" },
	{ 0x8ba88df5, "ip_tunnel_header_ops" },
	{ 0xc4c61ee2, "register_netdevice" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x39461d6a, "in_egroup_p" },
	{ 0xda3d10a8, "security_tun_dev_open" },
	{ 0x8376330d, "netif_tx_wake_queue" },
	{ 0x1ee62aac, "make_kuid" },
	{ 0x4851081a, "init_user_ns" },
	{ 0x5583d41c, "from_kuid" },
	{ 0x5217abb8, "dev_get_mac_address" },
	{ 0xfb878231, "dev_set_mac_address_user" },
	{ 0x5cbb3658, "sk_detach_filter" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x69d65560, "netdev_update_features" },
	{ 0xe99fbb15, "ether_setup" },
	{ 0x3e82f3e9, "get_random_bytes" },
	{ 0xe5d6307d, "dev_addr_mod" },
	{ 0x421472b1, "call_netdevice_notifiers" },
	{ 0x740f1741, "free_netdev" },
	{ 0xb912eb9e, "__module_get" },
	{ 0x0b235e7e, "memdup_user" },
	{ 0x31ed1978, "from_kgid" },
	{ 0xf4351f1a, "passthru_features_check" },
	{ 0x903a930b, "eth_mac_addr" },
	{ 0x3f45b393, "eth_validate_addr" },
	{ 0x80c86ee4, "ethtool_op_get_link" },
	{ 0x2864c194, "ethtool_op_get_ts_info" },
	{ 0xee11a538, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "41FFA72F2BF8019BF5EC778");
