#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_DATA(ath11k_debug_mask, "", "");
KSYMTAB_FUNC(ath11k_core_suspend, "", "");
KSYMTAB_FUNC(ath11k_core_resume, "", "");
KSYMTAB_FUNC(ath11k_core_pre_init, "", "");
KSYMTAB_FUNC(ath11k_core_init, "", "");
KSYMTAB_FUNC(ath11k_core_deinit, "", "");
KSYMTAB_FUNC(ath11k_core_free, "", "");
KSYMTAB_FUNC(ath11k_core_alloc, "", "");
KSYMTAB_FUNC(ath11k_hal_srng_init, "", "");
KSYMTAB_FUNC(ath11k_hal_srng_deinit, "", "");
KSYMTAB_DATA(ath11k_cold_boot_cal, "", "");
KSYMTAB_FUNC(ath11k_qmi_fwreset_from_cold_boot, "", "");
KSYMTAB_FUNC(ath11k_qmi_deinit_service, "", "");
KSYMTAB_FUNC(ath11k_dp_service_srng, "", "");
KSYMTAB_FUNC(ath11k_info, "", "");
KSYMTAB_FUNC(ath11k_err, "", "");
KSYMTAB_FUNC(ath11k_warn, "", "");
KSYMTAB_FUNC(ath11k_ce_per_engine_service, "", "");
KSYMTAB_FUNC(ath11k_ce_get_shadow_config, "", "");
KSYMTAB_FUNC(ath11k_ce_cleanup_pipes, "", "");
KSYMTAB_FUNC(ath11k_ce_rx_post_buf, "", "");
KSYMTAB_FUNC(ath11k_ce_free_pipes, "", "");
KSYMTAB_FUNC(ath11k_ce_alloc_pipes, "", "");
KSYMTAB_FUNC(ath11k_ce_get_attr_flags, "", "");
KSYMTAB_FUNC(ath11k_pcic_init_msi_config, "", "");
KSYMTAB_FUNC(ath11k_pcic_write32, "", "");
KSYMTAB_FUNC(ath11k_pcic_read32, "", "");
KSYMTAB_FUNC(ath11k_pcic_read, "", "");
KSYMTAB_FUNC(ath11k_pcic_get_msi_address, "", "");
KSYMTAB_FUNC(ath11k_pcic_get_user_msi_assignment, "", "");
KSYMTAB_FUNC(ath11k_pcic_get_ce_msi_idx, "", "");
KSYMTAB_FUNC(ath11k_pcic_free_irq, "", "");
KSYMTAB_FUNC(ath11k_pcic_ext_irq_enable, "", "");
KSYMTAB_FUNC(ath11k_pcic_ext_irq_disable, "", "");
KSYMTAB_FUNC(ath11k_pcic_config_irq, "", "");
KSYMTAB_FUNC(ath11k_pcic_ce_irqs_enable, "", "");
KSYMTAB_FUNC(ath11k_pcic_ce_irq_disable_sync, "", "");
KSYMTAB_FUNC(ath11k_pcic_stop, "", "");
KSYMTAB_FUNC(ath11k_pcic_start, "", "");
KSYMTAB_FUNC(ath11k_pcic_map_service_to_pipe, "", "");
KSYMTAB_FUNC(ath11k_pcic_register_pci_ops, "", "");
KSYMTAB_FUNC(ath11k_pci_enable_ce_irqs_except_wake_irq, "", "");
KSYMTAB_FUNC(ath11k_pci_disable_ce_irqs_except_wake_irq, "", "");

SYMBOL_CRC(ath11k_debug_mask, 0x9c51bcc4, "");
SYMBOL_CRC(ath11k_core_suspend, 0x14c3dd65, "");
SYMBOL_CRC(ath11k_core_resume, 0x861d9bce, "");
SYMBOL_CRC(ath11k_core_pre_init, 0xfe0bd81e, "");
SYMBOL_CRC(ath11k_core_init, 0x3483391e, "");
SYMBOL_CRC(ath11k_core_deinit, 0x2c39bb46, "");
SYMBOL_CRC(ath11k_core_free, 0xcdb43cb0, "");
SYMBOL_CRC(ath11k_core_alloc, 0x55bdec5e, "");
SYMBOL_CRC(ath11k_hal_srng_init, 0x03365630, "");
SYMBOL_CRC(ath11k_hal_srng_deinit, 0xe1e18812, "");
SYMBOL_CRC(ath11k_cold_boot_cal, 0xf0197188, "");
SYMBOL_CRC(ath11k_qmi_fwreset_from_cold_boot, 0xfad5994d, "");
SYMBOL_CRC(ath11k_qmi_deinit_service, 0x795f0564, "");
SYMBOL_CRC(ath11k_dp_service_srng, 0x482556a4, "");
SYMBOL_CRC(ath11k_info, 0x4af48c95, "");
SYMBOL_CRC(ath11k_err, 0x8ba54fde, "");
SYMBOL_CRC(ath11k_warn, 0x561b0443, "");
SYMBOL_CRC(ath11k_ce_per_engine_service, 0x62788c7f, "");
SYMBOL_CRC(ath11k_ce_get_shadow_config, 0xd619ea4f, "");
SYMBOL_CRC(ath11k_ce_cleanup_pipes, 0x4af258e8, "");
SYMBOL_CRC(ath11k_ce_rx_post_buf, 0xdb2dd807, "");
SYMBOL_CRC(ath11k_ce_free_pipes, 0x8fd981bb, "");
SYMBOL_CRC(ath11k_ce_alloc_pipes, 0xbb0e553c, "");
SYMBOL_CRC(ath11k_ce_get_attr_flags, 0x3a4e2234, "");
SYMBOL_CRC(ath11k_pcic_init_msi_config, 0x5d66e511, "");
SYMBOL_CRC(ath11k_pcic_write32, 0x75ce06fc, "");
SYMBOL_CRC(ath11k_pcic_read32, 0x903a55f4, "");
SYMBOL_CRC(ath11k_pcic_read, 0x3be3c683, "");
SYMBOL_CRC(ath11k_pcic_get_msi_address, 0xa2fc00df, "");
SYMBOL_CRC(ath11k_pcic_get_user_msi_assignment, 0xd3862ecb, "");
SYMBOL_CRC(ath11k_pcic_get_ce_msi_idx, 0x17763326, "");
SYMBOL_CRC(ath11k_pcic_free_irq, 0x4fd33a62, "");
SYMBOL_CRC(ath11k_pcic_ext_irq_enable, 0x50cfa534, "");
SYMBOL_CRC(ath11k_pcic_ext_irq_disable, 0x70bd42d3, "");
SYMBOL_CRC(ath11k_pcic_config_irq, 0x66d0129e, "");
SYMBOL_CRC(ath11k_pcic_ce_irqs_enable, 0xa8bf1c33, "");
SYMBOL_CRC(ath11k_pcic_ce_irq_disable_sync, 0x9d748699, "");
SYMBOL_CRC(ath11k_pcic_stop, 0x069f96da, "");
SYMBOL_CRC(ath11k_pcic_start, 0xd1bbc1b9, "");
SYMBOL_CRC(ath11k_pcic_map_service_to_pipe, 0xc81f084e, "");
SYMBOL_CRC(ath11k_pcic_register_pci_ops, 0x60620833, "");
SYMBOL_CRC(ath11k_pci_enable_ce_irqs_except_wake_irq, 0x7b2da60c, "");
SYMBOL_CRC(ath11k_pci_disable_ce_irqs_except_wake_irq, 0x0ea76baa, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x8f0b7b98, "ieee80211_beacon_update_cntdwn" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x70e3fb9f, "ieee80211_gtk_rekey_notify" },
	{ 0x6e91f3ff, "device_set_wakeup_enable" },
	{ 0xddf6ad7a, "completion_done" },
	{ 0xed2035c6, "cfg80211_chandef_dfs_usable" },
	{ 0xa78af5f3, "ioread32" },
	{ 0x617a2ac7, "ieee80211_connection_loss" },
	{ 0x0d542439, "__ipv6_addr_type" },
	{ 0xd0e9fb09, "release_firmware" },
	{ 0xe200ec59, "device_set_wakeup_capable" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xd0d156e9, "__rht_bucket_nested" },
	{ 0x20978fb9, "idr_find" },
	{ 0x8740ccc0, "param_ops_uint" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x939d6077, "of_node_put" },
	{ 0x9594b1fb, "skb_put" },
	{ 0x4a453f53, "iowrite32" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x4cd2fe40, "qmi_response_type_v01_ei" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xaf70bc63, "__kmalloc_noprof" },
	{ 0xab7dabf7, "firmware_request_nowarn" },
	{ 0x5ed87485, "qmi_handle_init" },
	{ 0xb7dfd0b0, "consume_skb" },
	{ 0x8235805b, "memmove" },
	{ 0xc358aaf8, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0x54b56d59, "of_address_to_resource" },
	{ 0xb2d48a2e, "queue_work_on" },
	{ 0x8f825f04, "device_get_mac_address" },
	{ 0x3e530e82, "ieee80211_get_unsol_bcast_probe_resp_tmpl" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0xd0f5466d, "skb_dequeue" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x92540fbf, "finish_wait" },
	{ 0xa0056906, "ieee80211_free_hw" },
	{ 0x6d405ae7, "dma_unmap_page_attrs" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x314b20c8, "scnprintf" },
	{ 0x09766639, "ieee80211_iterate_stations_atomic" },
	{ 0x41d06b63, "devm_ioremap" },
	{ 0xedc03953, "iounmap" },
	{ 0xfec1d709, "ieee80211_tx_status_ext" },
	{ 0x2e60bace, "memcpy" },
	{ 0xcccdeb54, "ieee80211_beacon_loss" },
	{ 0x037a0cba, "kfree" },
	{ 0x1340e5f9, "ieee80211_get_fils_discovery_tmpl" },
	{ 0xfcec0987, "enable_irq" },
	{ 0xaeb082ad, "_raw_read_unlock_bh" },
	{ 0x8dee722d, "_raw_read_lock_bh" },
	{ 0x2e92d24f, "pcpu_hot" },
	{ 0x6ff84ca4, "thermal_cooling_device_register" },
	{ 0xf18975a8, "ieee80211_register_hw" },
	{ 0x4db69f3a, "netif_napi_add_weight_locked" },
	{ 0xe9f6c575, "ieee80211_restart_hw" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xe62cdb0e, "memcpy_and_pad" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x8eb4162f, "ieee80211_get_hdrlen_from_skb" },
	{ 0xe2964344, "__wake_up" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xa5a37084, "ieee80211_hw_restart_disconnect" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x0e84445b, "pskb_expand_head" },
	{ 0xd90f0939, "dev_driver_string" },
	{ 0xa049ebc7, "crypto_destroy_tfm" },
	{ 0xbc4e2679, "ieee80211_find_sta" },
	{ 0x5e64553e, "dma_map_page_attrs" },
	{ 0xf364d24b, "qmi_send_request" },
	{ 0x1a76c064, "napi_complete_done" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x7cd1b50e, "memcpy_toio" },
	{ 0x06bc89ac, "ieee80211_handle_wake_tx_queue" },
	{ 0x7522f3ba, "irq_modify_status" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x9b0704bc, "ieee80211_tx_status_irqsafe" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x79b82a71, "cfg80211_find_vendor_elem" },
	{ 0x7beedaff, "ieee80211_iter_chan_contexts_atomic" },
	{ 0x8598f589, "__napi_schedule" },
	{ 0x360e6c3f, "__kmalloc_large_noprof" },
	{ 0x738803e6, "strnlen" },
	{ 0xd96e1414, "cfg80211_put_bss" },
	{ 0xc57c48a3, "idr_get_next" },
	{ 0x8858c719, "qmi_txn_wait" },
	{ 0xf331bb7f, "_dev_info" },
	{ 0xe109910f, "skb_queue_tail" },
	{ 0x75518512, "ieee80211_get_channel_khz" },
	{ 0x4c05af0a, "sysfs_create_link" },
	{ 0x55336329, "ieee80211_obss_color_collision_notify" },
	{ 0xf6b24ebf, "sized_strscpy" },
	{ 0x9d6cba30, "cfg80211_find_elem_match" },
	{ 0x0ea3c74e, "tasklet_kill" },
	{ 0x7665a95b, "idr_remove" },
	{ 0x984fde60, "wiphy_to_ieee80211_hw" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0x8013855f, "__skb_get_hash_net" },
	{ 0x99c7a4a3, "__dma_sync_single_for_cpu" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xcabf97bc, "ieee80211_queue_delayed_work" },
	{ 0xeadac1b2, "_dev_err" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0xdb911be6, "crypto_shash_setkey" },
	{ 0x38c50c8c, "skb_pull" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x279acc56, "qmi_txn_cancel" },
	{ 0x020cb77f, "__of_parse_phandle_with_args" },
	{ 0x670b6166, "sysfs_remove_link" },
	{ 0xb8f11603, "idr_alloc" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xbb8da598, "sk_skb_reason_drop" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x152f9b60, "ieee80211_find_sta_by_ifaddr" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x555e3ea7, "ieee80211_remain_on_channel_expired" },
	{ 0x420eabe4, "mem_section" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0x3485351e, "skb_push" },
	{ 0x5b2b12c4, "dma_alloc_attrs" },
	{ 0x08757088, "napi_enable" },
	{ 0x6c2e3320, "strncmp" },
	{ 0xdb9526df, "ieee80211_beacon_cntdwn_is_complete" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0x4b357244, "ieee80211_wake_queues" },
	{ 0x740f1741, "free_netdev" },
	{ 0x8cac23dd, "of_property_read_string" },
	{ 0x7b1ee708, "wiphy_read_of_freq_limits" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x9dacdd44, "qmi_txn_init" },
	{ 0x2e750209, "ieee80211_report_low_ack" },
	{ 0x21eb8f44, "ieee80211_beacon_get_template" },
	{ 0xde80cd09, "ioremap" },
	{ 0x0679eefe, "crypto_shash_update" },
	{ 0x5152e605, "memcmp" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x7ed52ab8, "ieee80211_free_txskb" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0xfccf9f78, "ieee80211_alloc_hw_nm" },
	{ 0x5e35dc80, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x11089ac7, "_ctype" },
	{ 0x8e17b3ae, "idr_destroy" },
	{ 0xa15d0131, "cancel_delayed_work" },
	{ 0x54296165, "kernel_connect" },
	{ 0x6bedf402, "ieee80211_freq_khz_to_channel" },
	{ 0x3021175e, "devm_hwmon_device_register_with_groups" },
	{ 0x2bc95bd4, "memset" },
	{ 0x4638d997, "_dev_warn" },
	{ 0xcfd93d13, "rht_bucket_nested_insert" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x7682717a, "kmemdup_noprof" },
	{ 0x7c983a5d, "dmi_walk" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xa19286ca, "ieee80211_beacon_free_ema_list" },
	{ 0x62c09c73, "__netdev_alloc_skb" },
	{ 0x93d6dd8c, "complete_all" },
	{ 0x81556778, "rhashtable_destroy" },
	{ 0xa8ef80e1, "ieee80211_ready_on_channel" },
	{ 0xa577fa58, "ieee80211_stop_queues" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x3c4078da, "skb_trim" },
	{ 0xc7edcf83, "qmi_handle_release" },
	{ 0xcba5218a, "__netif_napi_del_locked" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xd5d0533b, "rhashtable_insert_slow" },
	{ 0x1d40b6f3, "idr_for_each" },
	{ 0x76a8cf27, "ieee80211_vif_to_wdev" },
	{ 0x4c679dd1, "alloc_netdev_dummy" },
	{ 0x1549bde5, "dma_free_attrs" },
	{ 0x508798df, "rhashtable_init_noprof" },
	{ 0x6abca3b7, "ieee80211_scan_completed" },
	{ 0xb544474f, "ieee80211_iterate_active_interfaces_atomic" },
	{ 0x354650d2, "crypto_shash_final" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0x29d9f26e, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xf3322ae0, "param_ops_bool" },
	{ 0x202dbd84, "ieee80211_unregister_hw" },
	{ 0x2545b7b4, "__kmalloc_cache_noprof" },
	{ 0x4205ad24, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x5584448a, "ieee80211_channel_to_freq_khz" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x7ef39823, "ieee80211_hdrlen" },
	{ 0xe10b5c60, "ieee80211_color_change_finish" },
	{ 0x0c3690fc, "_raw_spin_lock_bh" },
	{ 0x518a55e8, "ieee80211_radar_detected" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0x3e82f3e9, "get_random_bytes" },
	{ 0x08af19a9, "thermal_cooling_device_unregister" },
	{ 0xa07d1b3c, "tasklet_setup" },
	{ 0x27bbf221, "disable_irq_nosync" },
	{ 0x9e7dae7e, "ieee80211_queue_work" },
	{ 0xe7822ca9, "napi_schedule_prep" },
	{ 0xd0d8621b, "strlen" },
	{ 0xc36cb6a5, "napi_disable" },
	{ 0x9ccaa280, "dev_kfree_skb_any_reason" },
	{ 0x5cba2be4, "ieee80211_bss_get_elem" },
	{ 0x72bd2900, "regulatory_set_wiphy_regd" },
	{ 0x5f833d05, "cfg80211_chandef_dfs_cac_time" },
	{ 0xd6fbdfeb, "crypto_alloc_shash" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x7a24691e, "ieee80211_beacon_get_template_ema_list" },
	{ 0xe3c7958d, "qmi_add_lookup" },
	{ 0xb7f990e9, "rht_bucket_nested" },
	{ 0x5ccdb4dd, "__cfg80211_get_bss" },
	{ 0xf9a482f9, "msleep" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x82af48b8, "kmalloc_caches" },
	{ 0xc440ae57, "ieee80211_csa_finish" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xed23bc58, "ieee80211_rx_napi" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0xee11a538, "module_layout" },
};

MODULE_INFO(depends, "mac80211,cfg80211,qmi_helpers");


MODULE_INFO(srcversion, "AA9931F06C32DD433DFD06E");
