#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(mt76x0_chip_onoff, "_gpl", "");
KSYMTAB_FUNC(mt76x0_mac_stop, "_gpl", "");
KSYMTAB_FUNC(mt76x0_init_hardware, "_gpl", "");
KSYMTAB_FUNC(mt76x0_register_device, "_gpl", "");
KSYMTAB_FUNC(mt76x0_set_channel, "_gpl", "");
KSYMTAB_FUNC(mt76x0_set_sar_specs, "_gpl", "");
KSYMTAB_FUNC(mt76x0_config, "_gpl", "");
KSYMTAB_FUNC(mt76x0_phy_calibrate, "_gpl", "");

SYMBOL_CRC(mt76x0_chip_onoff, 0xcf198023, "_gpl");
SYMBOL_CRC(mt76x0_mac_stop, 0x626cd541, "_gpl");
SYMBOL_CRC(mt76x0_init_hardware, 0x8ac79e4b, "_gpl");
SYMBOL_CRC(mt76x0_register_device, 0x4f2595ca, "_gpl");
SYMBOL_CRC(mt76x0_set_channel, 0x0e2061a3, "_gpl");
SYMBOL_CRC(mt76x0_set_sar_specs, 0x137be441, "_gpl");
SYMBOL_CRC(mt76x0_config, 0x74d29185, "_gpl");
SYMBOL_CRC(mt76x0_phy_calibrate, 0x689b44d1, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xa2628fb8, "mt76_update_channel" },
	{ 0x8983d62a, "mt76_init_sar_power" },
	{ 0xeefa0270, "mt76x02_phy_adjust_vga_gain" },
	{ 0xce838cbb, "mt76x02_phy_dfs_adjust_agc" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x538f32f2, "cfg80211_chandef_valid" },
	{ 0x78ef3f57, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x271c7374, "mt76x02_mac_shared_key_setup" },
	{ 0x77d8f1bf, "mt76x02_ext_pa_enabled" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0x2ca0997e, "mt76x02_get_efuse_data" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xf331bb7f, "_dev_info" },
	{ 0x46126870, "mt76x02_get_rx_gain" },
	{ 0x75fef85d, "mt76x02_add_rate_power_offset" },
	{ 0xcabf97bc, "ieee80211_queue_delayed_work" },
	{ 0xe6fb7da3, "mt76_eeprom_init" },
	{ 0xeadac1b2, "_dev_err" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x0e05f711, "mt76x02_mac_setaddr" },
	{ 0x66a8f9ba, "mt76_register_device" },
	{ 0x8e4c9b03, "mt76x02_phy_set_bw" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0xfe5b1720, "mt76x02_phy_set_band" },
	{ 0xaa9383e3, "mt76x02_init_device" },
	{ 0xda45f978, "mt76x02_eeprom_parse_hw_cap" },
	{ 0x9cc7d154, "mt76x02_phy_set_rxpath" },
	{ 0x24d88258, "mt76x02_edcca_init" },
	{ 0xec7cf592, "mt76_eeprom_override" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0x5b5b93cb, "mt76x02_get_lna_gain" },
	{ 0xf7e7d54e, "mt76x02_init_debugfs" },
	{ 0x4638d997, "_dev_warn" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xfd48c76b, "mt76x02_mac_cc_reset" },
	{ 0x83269cec, "mt76x02_init_agc_gain" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x5c9522d7, "____mt76_poll_msec" },
	{ 0x05514673, "mt76x02_dfs_init_params" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x44bbc50e, "mt76x02_config_mac_addr_list" },
	{ 0xd43d2628, "mt76_get_sar_power" },
	{ 0x69860975, "mt76x02_eeprom_copy" },
	{ 0xd41590e0, "mt76x02_mcu_calibrate" },
	{ 0xe6856794, "mt76x02_mcu_function_select" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0xa1b59953, "mt76x02_phy_set_txpower" },
	{ 0xad5d3ba8, "mt76x02_get_max_rate_power" },
	{ 0x503b60fd, "mt76x02_mac_wcid_setup" },
	{ 0x44524d07, "__mt76_poll" },
	{ 0x350f6ce5, "tasklet_unlock_wait" },
	{ 0x5c021404, "mt76x02_phy_set_txdac" },
	{ 0x93c479bc, "mt76x02_limit_rate_power" },
	{ 0x6e2adb51, "mt76_get_min_avg_rssi" },
	{ 0x5bd84fd5, "mt76x02_rates" },
	{ 0xf9a482f9, "msleep" },
	{ 0xee11a538, "module_layout" },
};

MODULE_INFO(depends, "mt76,mt76x02-lib,cfg80211,mac80211");


MODULE_INFO(srcversion, "5DC9561920B69322101AB5F");
