#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(mt76x02u_mcu_fw_reset, "_gpl", "");
KSYMTAB_FUNC(mt76x02u_mcu_fw_send_data, "_gpl", "");
KSYMTAB_FUNC(mt76x02u_init_mcu, "_gpl", "");
KSYMTAB_FUNC(mt76x02u_tx_complete_skb, "_gpl", "");
KSYMTAB_FUNC(mt76x02u_mac_start, "_gpl", "");
KSYMTAB_FUNC(mt76x02u_tx_prepare_skb, "_gpl", "");
KSYMTAB_FUNC(mt76x02u_init_beacon_config, "_gpl", "");
KSYMTAB_FUNC(mt76x02u_exit_beacon_config, "_gpl", "");

SYMBOL_CRC(mt76x02u_mcu_fw_reset, 0x2927ab27, "_gpl");
SYMBOL_CRC(mt76x02u_mcu_fw_send_data, 0xa7ca9c9d, "_gpl");
SYMBOL_CRC(mt76x02u_init_mcu, 0xcbcdcc0f, "_gpl");
SYMBOL_CRC(mt76x02u_tx_complete_skb, 0x12764790, "_gpl");
SYMBOL_CRC(mt76x02u_mac_start, 0x44c62c87, "_gpl");
SYMBOL_CRC(mt76x02u_tx_prepare_skb, 0xaca8a724, "_gpl");
SYMBOL_CRC(mt76x02u_init_beacon_config, 0x73639672, "_gpl");
SYMBOL_CRC(mt76x02u_exit_beacon_config, 0x4d84db0f, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x2f2d5cd3, "mt76x02_update_beacon_iter" },
	{ 0xb6f49cf2, "mt76x02_enqueue_buffered_bc" },
	{ 0xd5c43ac1, "mt76x02_remove_hdr_pad" },
	{ 0x9594b1fb, "skb_put" },
	{ 0xaf70bc63, "__kmalloc_noprof" },
	{ 0xb7dfd0b0, "consume_skb" },
	{ 0x8235805b, "memmove" },
	{ 0x8d990fd6, "mt76x02_resync_beacon_timer" },
	{ 0xb2d48a2e, "queue_work_on" },
	{ 0x65959059, "mt76x02_mcu_parse_response" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0xf1022c86, "mt76_csa_check" },
	{ 0xdf5882ee, "mt76_tx_status_skb_add" },
	{ 0x4a842d87, "hrtimer_init" },
	{ 0x2e60bace, "memcpy" },
	{ 0x037a0cba, "kfree" },
	{ 0xa2cf0335, "mt76u_single_wr" },
	{ 0x6b95e750, "__mt76_tx_complete_skb" },
	{ 0xbaea0d47, "mt76x02_mac_reset_counters" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x8eb4162f, "ieee80211_get_hdrlen_from_skb" },
	{ 0xcd91b127, "system_highpri_wq" },
	{ 0x78ef3f57, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0x1809468d, "usb_bulk_msg" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x9489e1f8, "mt76_csa_finish" },
	{ 0xeca684f7, "__alloc_skb" },
	{ 0x7665a95b, "idr_remove" },
	{ 0xeadac1b2, "_dev_err" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x38c50c8c, "skb_pull" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0x3485351e, "skb_push" },
	{ 0x123451d3, "mt76x02_init_beacon_config" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0x39179c13, "__mt76_mcu_msg_alloc" },
	{ 0x5e35dc80, "__fortify_panic" },
	{ 0xe5744e9b, "mt76x02_mac_write_txwi" },
	{ 0x87bcb728, "hrtimer_start_range_ns" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xb544474f, "ieee80211_iterate_active_interfaces_atomic" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0x3f6f87ea, "mt76u_vendor_request" },
	{ 0x4205ad24, "cancel_work_sync" },
	{ 0x641d20fc, "mt76_skb_adjust_pad" },
	{ 0x2f9ac08e, "hrtimer_cancel" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0xb49e978f, "mt76x02_mac_set_beacon" },
	{ 0xb5159fd7, "hrtimer_active" },
	{ 0x44524d07, "__mt76_poll" },
	{ 0xee11a538, "module_layout" },
};

MODULE_INFO(depends, "mt76x02-lib,mt76,mt76-usb,cfg80211,usbcore,mac80211");


MODULE_INFO(srcversion, "1E940FD4B27C7133C6205C5");
