#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(pcmcia_register_driver, "", "");
KSYMTAB_FUNC(pcmcia_unregister_driver, "", "");
KSYMTAB_FUNC(pcmcia_dev_present, "", "");
KSYMTAB_FUNC(pcmcia_read_config_byte, "", "");
KSYMTAB_FUNC(pcmcia_write_config_byte, "", "");
KSYMTAB_FUNC(pcmcia_map_mem_page, "", "");
KSYMTAB_FUNC(pcmcia_fixup_iowidth, "", "");
KSYMTAB_FUNC(pcmcia_fixup_vpp, "", "");
KSYMTAB_FUNC(pcmcia_release_window, "", "");
KSYMTAB_FUNC(pcmcia_enable_device, "", "");
KSYMTAB_FUNC(pcmcia_request_io, "", "");
KSYMTAB_FUNC(pcmcia_request_irq, "", "");
KSYMTAB_FUNC(pcmcia_request_window, "", "");
KSYMTAB_FUNC(pcmcia_disable_device, "", "");
KSYMTAB_FUNC(pcmcia_parse_tuple, "", "");
KSYMTAB_FUNC(pcmcia_loop_config, "", "");
KSYMTAB_FUNC(pcmcia_loop_tuple, "", "");
KSYMTAB_FUNC(pcmcia_get_tuple, "", "");
KSYMTAB_FUNC(pcmcia_get_mac_from_cis, "", "");

SYMBOL_CRC(pcmcia_register_driver, 0x31923e7c, "");
SYMBOL_CRC(pcmcia_unregister_driver, 0xe2309550, "");
SYMBOL_CRC(pcmcia_dev_present, 0x293ec151, "");
SYMBOL_CRC(pcmcia_read_config_byte, 0xd5c3b172, "");
SYMBOL_CRC(pcmcia_write_config_byte, 0xe2e5d0b3, "");
SYMBOL_CRC(pcmcia_map_mem_page, 0xc57fe8b4, "");
SYMBOL_CRC(pcmcia_fixup_iowidth, 0xa407003b, "");
SYMBOL_CRC(pcmcia_fixup_vpp, 0xd17e5a92, "");
SYMBOL_CRC(pcmcia_release_window, 0x181a454f, "");
SYMBOL_CRC(pcmcia_enable_device, 0x1271970d, "");
SYMBOL_CRC(pcmcia_request_io, 0xa68abe32, "");
SYMBOL_CRC(pcmcia_request_irq, 0x4d007214, "");
SYMBOL_CRC(pcmcia_request_window, 0x8f797e08, "");
SYMBOL_CRC(pcmcia_disable_device, 0x79685136, "");
SYMBOL_CRC(pcmcia_parse_tuple, 0xbb312663, "");
SYMBOL_CRC(pcmcia_loop_config, 0x4f08623e, "");
SYMBOL_CRC(pcmcia_loop_tuple, 0x05f35a9b, "");
SYMBOL_CRC(pcmcia_get_tuple, 0x03521345, "");
SYMBOL_CRC(pcmcia_get_mac_from_cis, 0x9cef3493, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x64fc5a78, "try_module_get" },
	{ 0x13110126, "request_resource" },
	{ 0xb4098095, "pcmcia_get_socket" },
	{ 0xd0e9fb09, "release_firmware" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0xaf70bc63, "__kmalloc_noprof" },
	{ 0xbe8a9af3, "dev_set_name" },
	{ 0x412d46ca, "driver_remove_file" },
	{ 0x3b46c804, "driver_attach" },
	{ 0xeeca85a3, "device_unregister" },
	{ 0xa9cbd948, "request_firmware" },
	{ 0xf45ecd92, "sysfs_create_bin_file" },
	{ 0xedc03953, "iounmap" },
	{ 0x2e60bace, "memcpy" },
	{ 0x037a0cba, "kfree" },
	{ 0x21738964, "get_device" },
	{ 0x78ef3f57, "__dynamic_dev_dbg" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0xe5d6307d, "dev_addr_mod" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x070f7896, "_printk" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x0296695f, "refcount_warn_saturate" },
	{ 0xee87f84c, "put_device" },
	{ 0x738803e6, "strnlen" },
	{ 0x9c0b3cdb, "driver_create_file" },
	{ 0xcf0a8ceb, "bus_for_each_dev" },
	{ 0xf331bb7f, "_dev_info" },
	{ 0x127d83ea, "security_locked_down" },
	{ 0x6e738910, "pccard_register_pcmcia" },
	{ 0xe1df6b04, "module_put" },
	{ 0xf243aa7a, "bus_unregister" },
	{ 0xeadac1b2, "_dev_err" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0x6c2e3320, "strncmp" },
	{ 0x85ec9b02, "driver_unregister" },
	{ 0x85197b28, "class_interface_unregister" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0xde80cd09, "ioremap" },
	{ 0x5152e605, "memcmp" },
	{ 0x3d708a1b, "class_interface_register" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0x5e35dc80, "__fortify_panic" },
	{ 0xa2dfdc2c, "device_register" },
	{ 0x7e983726, "pcmcia_parse_uevents" },
	{ 0x2bc95bd4, "memset" },
	{ 0x4638d997, "_dev_warn" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x3eabe1a7, "bus_rescan_devices" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x1ed88d6a, "kstrdup" },
	{ 0x04e34de2, "_dev_notice" },
	{ 0x96408e22, "crc32_le_arch" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0x19f5f945, "pcmcia_socket_class" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x2545b7b4, "__kmalloc_cache_noprof" },
	{ 0x3f1c9bb2, "pcmcia_put_socket" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0xc5e74216, "release_resource" },
	{ 0xd0d8621b, "strlen" },
	{ 0x77358855, "iomem_resource" },
	{ 0x84aef303, "param_ops_int" },
	{ 0xa879ead6, "sysfs_remove_bin_file" },
	{ 0xe5515291, "driver_register" },
	{ 0x99f2d00a, "sysfs_emit_at" },
	{ 0xf9a482f9, "msleep" },
	{ 0x82af48b8, "kmalloc_caches" },
	{ 0xb709e456, "bus_register" },
	{ 0xee11a538, "module_layout" },
};

MODULE_INFO(depends, "pcmcia_core");


MODULE_INFO(srcversion, "1B92392FB7B7C34C1A62744");
