#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(register_atm_ioctl, "", "");
KSYMTAB_FUNC(deregister_atm_ioctl, "", "");
KSYMTAB_DATA(vcc_hash, "", "");
KSYMTAB_DATA(vcc_sklist_lock, "", "");
KSYMTAB_FUNC(vcc_insert_socket, "", "");
KSYMTAB_FUNC(vcc_release_async, "", "");
KSYMTAB_FUNC(vcc_process_recv_queue, "", "");
KSYMTAB_FUNC(atm_dev_signal_change, "", "");
KSYMTAB_FUNC(atm_dev_release_vccs, "", "");
KSYMTAB_FUNC(register_atmdevice_notifier, "_gpl", "");
KSYMTAB_FUNC(unregister_atmdevice_notifier, "_gpl", "");
KSYMTAB_FUNC(atm_charge, "", "");
KSYMTAB_FUNC(atm_alloc_charge, "", "");
KSYMTAB_FUNC(atm_pcr_goal, "", "");
KSYMTAB_FUNC(sonet_copy_stats, "", "");
KSYMTAB_FUNC(sonet_subtract_stats, "", "");
KSYMTAB_FUNC(atm_init_aal5, "", "");
KSYMTAB_FUNC(atm_dev_lookup, "", "");
KSYMTAB_FUNC(atm_dev_register, "", "");
KSYMTAB_FUNC(atm_dev_deregister, "", "");
KSYMTAB_DATA(atm_proc_root, "", "");

SYMBOL_CRC(register_atm_ioctl, 0xaafcc646, "");
SYMBOL_CRC(deregister_atm_ioctl, 0xe76620ae, "");
SYMBOL_CRC(vcc_hash, 0x2cc2d52d, "");
SYMBOL_CRC(vcc_sklist_lock, 0x44c6e633, "");
SYMBOL_CRC(vcc_insert_socket, 0xd47cdea7, "");
SYMBOL_CRC(vcc_release_async, 0xd1563ee5, "");
SYMBOL_CRC(vcc_process_recv_queue, 0xfebec07c, "");
SYMBOL_CRC(atm_dev_signal_change, 0x02a36653, "");
SYMBOL_CRC(atm_dev_release_vccs, 0xe995eaff, "");
SYMBOL_CRC(register_atmdevice_notifier, 0xb09faf79, "_gpl");
SYMBOL_CRC(unregister_atmdevice_notifier, 0xcfb6a3da, "_gpl");
SYMBOL_CRC(atm_charge, 0x1fe5786d, "");
SYMBOL_CRC(atm_alloc_charge, 0x3af5b196, "");
SYMBOL_CRC(atm_pcr_goal, 0xf49bc67a, "");
SYMBOL_CRC(sonet_copy_stats, 0xaa024146, "");
SYMBOL_CRC(sonet_subtract_stats, 0x9feaf287, "");
SYMBOL_CRC(atm_init_aal5, 0x08442125, "");
SYMBOL_CRC(atm_dev_lookup, 0x4c6c1a15, "");
SYMBOL_CRC(atm_dev_register, 0xf54409d7, "");
SYMBOL_CRC(atm_dev_deregister, 0x2e3a62a3, "");
SYMBOL_CRC(atm_proc_root, 0x4443d399, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0xf358d233, "skb_free_datagram" },
	{ 0x64fc5a78, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x9594b1fb, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xaf70bc63, "__kmalloc_noprof" },
	{ 0xbe8a9af3, "dev_set_name" },
	{ 0xb7dfd0b0, "consume_skb" },
	{ 0xe7d4daac, "seq_list_next" },
	{ 0x8f9c199c, "__get_user_2" },
	{ 0xf346231f, "seq_list_start_head" },
	{ 0xd0f5466d, "skb_dequeue" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x314b20c8, "scnprintf" },
	{ 0x62737e1d, "sock_unregister" },
	{ 0xd5fd90f1, "prepare_to_wait" },
	{ 0x037a0cba, "kfree" },
	{ 0xa1493a88, "proc_create_data" },
	{ 0x6241afcb, "remove_proc_subtree" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xe2964344, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x3aca0190, "_raw_write_lock_irq" },
	{ 0x4809dbb8, "skb_queue_purge_reason" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x070f7896, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0x5aa6d9ea, "proto_unregister" },
	{ 0x4292364c, "schedule" },
	{ 0xc2dce116, "sock_register" },
	{ 0xcd777e0d, "__sock_recv_cmsgs" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x2b9997fb, "atomic_notifier_chain_register" },
	{ 0x0296695f, "refcount_warn_saturate" },
	{ 0xee87f84c, "put_device" },
	{ 0xeca684f7, "__alloc_skb" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x107fdcfc, "const_pcpu_hot" },
	{ 0xaf338968, "proto_register" },
	{ 0xc6cbbc89, "capable" },
	{ 0xe109910f, "skb_queue_tail" },
	{ 0xe1df6b04, "module_put" },
	{ 0x8f14d45b, "get_zeroed_page_noprof" },
	{ 0x534fede6, "device_create_file" },
	{ 0x456dfd9d, "init_net" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xbb8da598, "sk_skb_reason_drop" },
	{ 0xa760a55f, "noop_llseek" },
	{ 0xc1b133ea, "sk_free" },
	{ 0x15affc69, "sock_wake_async" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x303137f1, "sock_no_accept" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0xe3479c0d, "sock_no_listen" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0xadb0efb2, "seq_putc" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0xca799b31, "class_unregister" },
	{ 0xdd4d55b6, "_raw_read_unlock" },
	{ 0x5152e605, "memcmp" },
	{ 0x318f8f45, "lock_sock_nested" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0x4d77c40e, "skb_copy_datagram_iter" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xcee53298, "sk_alloc" },
	{ 0xa2dfdc2c, "device_register" },
	{ 0x30c948b7, "device_del" },
	{ 0x9f76baf4, "_raw_write_unlock_irq" },
	{ 0xe3e2bb46, "sock_no_socketpair" },
	{ 0x2bc95bd4, "memset" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xd3752c27, "atomic_notifier_call_chain" },
	{ 0xdefcdc5c, "sock_no_mmap" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x7181db30, "atomic_notifier_chain_unregister" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0x86f2b4eb, "skb_recv_datagram" },
	{ 0xc1eaf630, "seq_write" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x683305f7, "remove_proc_entry" },
	{ 0x2545b7b4, "__kmalloc_cache_noprof" },
	{ 0x384785e1, "seq_printf" },
	{ 0xf16ea333, "_copy_from_iter" },
	{ 0xfe8c61f0, "_raw_read_lock" },
	{ 0xb91c38ab, "sock_gettstamp" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0x1f85b734, "_proc_mkdir" },
	{ 0xd2238ecd, "send_sig" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0xc2babab8, "__seq_puts" },
	{ 0xd0d8621b, "strlen" },
	{ 0x9ccaa280, "dev_kfree_skb_any_reason" },
	{ 0xbd32259f, "iov_iter_revert" },
	{ 0xf578457a, "proc_create_seq_private" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xfea4a621, "class_register" },
	{ 0x399f9d6e, "sock_init_data" },
	{ 0x82af48b8, "kmalloc_caches" },
	{ 0xe8551771, "device_remove_file" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x7cb0788b, "release_sock" },
	{ 0xee11a538, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "2B146EF15E7BB381AD1AAC1");
