#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_DATA(cs35l41_regmap_i2c, "_gpl", "");
KSYMTAB_DATA(cs35l41_regmap_spi, "_gpl", "");
KSYMTAB_FUNC(cs35l41_test_key_unlock, "_gpl", "");
KSYMTAB_FUNC(cs35l41_test_key_lock, "_gpl", "");
KSYMTAB_FUNC(cs35l41_otp_unpack, "_gpl", "");
KSYMTAB_FUNC(cs35l41_register_errata_patch, "_gpl", "");
KSYMTAB_FUNC(cs35l41_set_channels, "_gpl", "");
KSYMTAB_FUNC(cs35l41_init_boost, "_gpl", "");
KSYMTAB_FUNC(cs35l41_safe_reset, "_gpl", "");
KSYMTAB_FUNC(cs35l41_global_enable, "_gpl", "");
KSYMTAB_FUNC(cs35l41_mdsync_up, "_gpl", "");
KSYMTAB_FUNC(cs35l41_gpio_config, "_gpl", "");
KSYMTAB_FUNC(cs35l41_configure_cs_dsp, "_gpl", "");
KSYMTAB_FUNC(cs35l41_set_cspl_mbox_cmd, "_gpl", "");
KSYMTAB_FUNC(cs35l41_write_fs_errata, "_gpl", "");
KSYMTAB_FUNC(cs35l41_enter_hibernate, "_gpl", "");
KSYMTAB_FUNC(cs35l41_exit_hibernate, "_gpl", "");

SYMBOL_CRC(cs35l41_regmap_i2c, 0x3e7fa8c7, "_gpl");
SYMBOL_CRC(cs35l41_regmap_spi, 0x882aae18, "_gpl");
SYMBOL_CRC(cs35l41_test_key_unlock, 0xf297a4b9, "_gpl");
SYMBOL_CRC(cs35l41_test_key_lock, 0x6574774e, "_gpl");
SYMBOL_CRC(cs35l41_otp_unpack, 0x7c7c6deb, "_gpl");
SYMBOL_CRC(cs35l41_register_errata_patch, 0x3641a9c5, "_gpl");
SYMBOL_CRC(cs35l41_set_channels, 0x6bf842f3, "_gpl");
SYMBOL_CRC(cs35l41_init_boost, 0xb7e6f734, "_gpl");
SYMBOL_CRC(cs35l41_safe_reset, 0x389e86c7, "_gpl");
SYMBOL_CRC(cs35l41_global_enable, 0x5383b61a, "_gpl");
SYMBOL_CRC(cs35l41_mdsync_up, 0x36c475ff, "_gpl");
SYMBOL_CRC(cs35l41_gpio_config, 0xe92ff6ad, "_gpl");
SYMBOL_CRC(cs35l41_configure_cs_dsp, 0x751f9aa4, "_gpl");
SYMBOL_CRC(cs35l41_set_cspl_mbox_cmd, 0xd9ae7de5, "_gpl");
SYMBOL_CRC(cs35l41_write_fs_errata, 0x3ce16177, "_gpl");
SYMBOL_CRC(cs35l41_enter_hibernate, 0x66758ed2, "_gpl");
SYMBOL_CRC(cs35l41_exit_hibernate, 0xaf3826e4, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xdbaa0380, "regmap_write" },
	{ 0x037a0cba, "kfree" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x78ef3f57, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xeadac1b2, "_dev_err" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6102e88f, "regmap_read" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x2545b7b4, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xf01e9f25, "regmap_bulk_read" },
	{ 0x6ce85f1a, "regmap_update_bits_base" },
	{ 0xb335703b, "regmap_multi_reg_write" },
	{ 0xc8b1c201, "regmap_register_patch" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x82af48b8, "kmalloc_caches" },
	{ 0xee11a538, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "8C0FE5DE002EC302DD0C835");
