#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(pmbus_clear_cache, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_set_update, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_set_page, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_write_byte, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_write_word_data, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_update_fan, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_read_word_data, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_read_byte_data, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_write_byte_data, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_update_byte_data, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_get_fan_rate_device, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_get_fan_rate_cached, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_clear_faults, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_check_byte_register, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_check_word_register, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_get_driver_info, "_gpl", "PMBUS");
KSYMTAB_DATA(pmbus_regulator_ops, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_regulator_init_cb, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_do_probe, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_get_debugfs_dir, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_lock_interruptible, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_unlock, "_gpl", "PMBUS");

SYMBOL_CRC(pmbus_clear_cache, 0x0afb352a, "_gpl");
SYMBOL_CRC(pmbus_set_update, 0xdc524be6, "_gpl");
SYMBOL_CRC(pmbus_set_page, 0x717f06eb, "_gpl");
SYMBOL_CRC(pmbus_write_byte, 0x02cce028, "_gpl");
SYMBOL_CRC(pmbus_write_word_data, 0x433266aa, "_gpl");
SYMBOL_CRC(pmbus_update_fan, 0x1e2c1779, "_gpl");
SYMBOL_CRC(pmbus_read_word_data, 0x9120f602, "_gpl");
SYMBOL_CRC(pmbus_read_byte_data, 0xcc24b148, "_gpl");
SYMBOL_CRC(pmbus_write_byte_data, 0xee4e2bd5, "_gpl");
SYMBOL_CRC(pmbus_update_byte_data, 0xa4844b54, "_gpl");
SYMBOL_CRC(pmbus_get_fan_rate_device, 0x0df14015, "_gpl");
SYMBOL_CRC(pmbus_get_fan_rate_cached, 0xbc565e3a, "_gpl");
SYMBOL_CRC(pmbus_clear_faults, 0x0e7d2f61, "_gpl");
SYMBOL_CRC(pmbus_check_byte_register, 0xe54f9925, "_gpl");
SYMBOL_CRC(pmbus_check_word_register, 0x4b0f5732, "_gpl");
SYMBOL_CRC(pmbus_get_driver_info, 0x1ea61ad6, "_gpl");
SYMBOL_CRC(pmbus_regulator_ops, 0x2ec44d2c, "_gpl");
SYMBOL_CRC(pmbus_regulator_init_cb, 0xc5a0327c, "_gpl");
SYMBOL_CRC(pmbus_do_probe, 0x0cc2d307, "_gpl");
SYMBOL_CRC(pmbus_get_debugfs_dir, 0x9f3d93dc, "_gpl");
SYMBOL_CRC(pmbus_lock_interruptible, 0xaafb0e8c, "_gpl");
SYMBOL_CRC(pmbus_unlock, 0xc8fe9605, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0xe8551771, "device_remove_file" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x52af4ed5, "devm_krealloc" },
	{ 0xc58919d7, "devm_kmalloc" },
	{ 0xc358aaf8, "snprintf" },
	{ 0x56470118, "__warn_printk" },
	{ 0x5c430e75, "debugfs_create_dir" },
	{ 0x9ba04e5f, "debugfs_remove" },
	{ 0x8332d355, "simple_attr_open" },
	{ 0xf7b5a859, "mutex_lock_interruptible" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xd4622112, "devm_thermal_of_zone_register" },
	{ 0xa6a7a2ad, "div_s64_rem" },
	{ 0x9e7d6bd0, "__udelay" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xf9a482f9, "msleep" },
	{ 0x18d06b61, "i2c_smbus_write_byte_data" },
	{ 0x93dac073, "i2c_smbus_read_byte_data" },
	{ 0xa243bcef, "i2c_smbus_write_byte" },
	{ 0x89be1799, "i2c_smbus_write_word_data" },
	{ 0xac5597ec, "i2c_smbus_read_word_data" },
	{ 0x64b3629a, "i2c_smbus_read_block_data" },
	{ 0x528c709d, "simple_read_from_buffer" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0xa61671b7, "rdev_get_dev" },
	{ 0x32282632, "rdev_get_id" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0x3854774b, "kstrtoll" },
	{ 0xaa19e4aa, "_kstrtol" },
	{ 0x744b97dc, "thermal_zone_device_priv" },
	{ 0x9067dc49, "sysfs_notify" },
	{ 0x794ad783, "kobject_uevent" },
	{ 0x78ef3f57, "__dynamic_dev_dbg" },
	{ 0xc257c41d, "regulator_notifier_call_chain" },
	{ 0xb6ed1e53, "strncpy" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0x6568e7e6, "i2c_smbus_xfer" },
	{ 0xeadac1b2, "_dev_err" },
	{ 0x534fede6, "device_create_file" },
	{ 0x51949e11, "__devm_add_action" },
	{ 0x400a3f15, "devm_kstrdup" },
	{ 0x7410aba2, "strreplace" },
	{ 0x2e60bace, "memcpy" },
	{ 0x3021175e, "devm_hwmon_device_register_with_groups" },
	{ 0x088c2a1a, "devm_regulator_register" },
	{ 0xd82976e5, "dev_err_probe" },
	{ 0x7f99eb17, "devm_request_threaded_irq" },
	{ 0xd04b45cc, "debugfs_create_file_full" },
	{ 0x314b20c8, "scnprintf" },
	{ 0x4638d997, "_dev_warn" },
	{ 0xa760a55f, "noop_llseek" },
	{ 0x54f3d2ab, "simple_open" },
	{ 0x55a84c2c, "debugfs_attr_read" },
	{ 0x15577421, "debugfs_attr_write" },
	{ 0x34c13d5f, "simple_attr_release" },
	{ 0x84aef303, "param_ops_int" },
	{ 0xee11a538, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "951FB24E6E2E97F24E8C7E2");
