#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(hid_sensor_read_poll_value, "", "IIO_HID_ATTRIBUTES");
KSYMTAB_FUNC(hid_sensor_read_samp_freq_value, "", "IIO_HID");
KSYMTAB_FUNC(hid_sensor_write_samp_freq_value, "", "IIO_HID");
KSYMTAB_FUNC(hid_sensor_read_raw_hyst_value, "", "IIO_HID");
KSYMTAB_FUNC(hid_sensor_read_raw_hyst_rel_value, "", "IIO_HID");
KSYMTAB_FUNC(hid_sensor_write_raw_hyst_value, "", "IIO_HID");
KSYMTAB_FUNC(hid_sensor_write_raw_hyst_rel_value, "", "IIO_HID");
KSYMTAB_FUNC(hid_sensor_format_scale, "", "IIO_HID");
KSYMTAB_FUNC(hid_sensor_convert_timestamp, "", "IIO_HID");
KSYMTAB_FUNC(hid_sensor_get_report_latency, "", "IIO_HID_ATTRIBUTES");
KSYMTAB_FUNC(hid_sensor_set_report_latency, "", "IIO_HID_ATTRIBUTES");
KSYMTAB_FUNC(hid_sensor_batch_mode_supported, "", "IIO_HID_ATTRIBUTES");
KSYMTAB_FUNC(hid_sensor_parse_common_attributes, "", "IIO_HID");

SYMBOL_CRC(hid_sensor_read_poll_value, 0x2fe49137, "");
SYMBOL_CRC(hid_sensor_read_samp_freq_value, 0x75425c91, "");
SYMBOL_CRC(hid_sensor_write_samp_freq_value, 0x8c9fd760, "");
SYMBOL_CRC(hid_sensor_read_raw_hyst_value, 0x3941cdc2, "");
SYMBOL_CRC(hid_sensor_read_raw_hyst_rel_value, 0x6fe444c3, "");
SYMBOL_CRC(hid_sensor_write_raw_hyst_value, 0x663118a0, "");
SYMBOL_CRC(hid_sensor_write_raw_hyst_rel_value, 0x20224d90, "");
SYMBOL_CRC(hid_sensor_format_scale, 0x7f7621ec, "");
SYMBOL_CRC(hid_sensor_convert_timestamp, 0x5c5d7f00, "");
SYMBOL_CRC(hid_sensor_get_report_latency, 0x762f2ae0, "");
SYMBOL_CRC(hid_sensor_set_report_latency, 0x8a37437c, "");
SYMBOL_CRC(hid_sensor_batch_mode_supported, 0xcdbe6e1d, "");
SYMBOL_CRC(hid_sensor_parse_common_attributes, 0x69db03d6, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x78ef3f57, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x756dbe6d, "sensor_hub_set_feature" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x1af267f8, "int_pow" },
	{ 0xc2cb4294, "sensor_hub_input_get_attribute_info" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf7b32580, "sensor_hub_get_feature" },
	{ 0xee11a538, "module_layout" },
};

MODULE_INFO(depends, "hid-sensor-hub");


MODULE_INFO(srcversion, "6871F7329F4D0285A45ABEE");
