#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(rtw89_core_fill_txdesc, "", "");
KSYMTAB_FUNC(rtw89_core_fill_txdesc_v1, "", "");
KSYMTAB_FUNC(rtw89_core_fill_txdesc_v2, "", "");
KSYMTAB_FUNC(rtw89_core_fill_txdesc_fwcmd_v1, "", "");
KSYMTAB_FUNC(rtw89_core_fill_txdesc_fwcmd_v2, "", "");
KSYMTAB_FUNC(rtw89_core_query_rxdesc, "", "");
KSYMTAB_FUNC(rtw89_core_query_rxdesc_v2, "", "");
KSYMTAB_FUNC(rtw89_core_rx, "", "");
KSYMTAB_FUNC(rtw89_core_napi_start, "", "");
KSYMTAB_FUNC(rtw89_core_napi_stop, "", "");
KSYMTAB_FUNC(rtw89_core_napi_init, "", "");
KSYMTAB_FUNC(rtw89_core_napi_deinit, "", "");
KSYMTAB_FUNC(rtw89_check_quirks, "", "");
KSYMTAB_FUNC(rtw89_core_init, "", "");
KSYMTAB_FUNC(rtw89_core_deinit, "", "");
KSYMTAB_FUNC(rtw89_chip_info_setup, "", "");
KSYMTAB_FUNC(rtw89_core_register, "", "");
KSYMTAB_FUNC(rtw89_core_unregister, "", "");
KSYMTAB_FUNC(rtw89_alloc_ieee80211_hw, "", "");
KSYMTAB_FUNC(rtw89_free_ieee80211_hw, "", "");
KSYMTAB_DATA(rtw89_ops, "", "");
KSYMTAB_FUNC(rtw89_mac_get_err_status, "", "");
KSYMTAB_FUNC(rtw89_mac_set_err_status, "", "");
KSYMTAB_DATA(rtw89_mac_size, "", "");
KSYMTAB_FUNC(rtw89_mac_stop_sch_tx, "", "");
KSYMTAB_FUNC(rtw89_mac_stop_sch_tx_v1, "", "");
KSYMTAB_FUNC(rtw89_mac_resume_sch_tx, "", "");
KSYMTAB_FUNC(rtw89_mac_resume_sch_tx_v1, "", "");
KSYMTAB_FUNC(rtw89_mac_enable_bb_rf, "", "");
KSYMTAB_FUNC(rtw89_mac_disable_bb_rf, "", "");
KSYMTAB_FUNC(rtw89_mac_coex_init, "", "");
KSYMTAB_FUNC(rtw89_mac_coex_init_v1, "", "");
KSYMTAB_FUNC(rtw89_mac_cfg_gnt, "", "");
KSYMTAB_FUNC(rtw89_mac_cfg_gnt_v1, "", "");
KSYMTAB_FUNC(rtw89_mac_cfg_ctrl_path, "", "");
KSYMTAB_FUNC(rtw89_mac_cfg_ctrl_path_v1, "", "");
KSYMTAB_DATA(rtw89_mac_gen_ax, "", "");
KSYMTAB_FUNC(rtw89_mac_cfg_gnt_v2, "", "");
KSYMTAB_FUNC(rtw89_mac_cfg_ctrl_path_v2, "", "");
KSYMTAB_FUNC(rtw89_mac_stop_sch_tx_v2, "", "");
KSYMTAB_FUNC(rtw89_mac_resume_sch_tx_v2, "", "");
KSYMTAB_FUNC(rtw89_mac_cfg_phy_rpt_be, "", "");
KSYMTAB_DATA(rtw89_mac_gen_be, "", "");
KSYMTAB_FUNC(rtw89_phy_get_txsc, "", "");
KSYMTAB_FUNC(rtw89_phy_get_txsb, "", "");
KSYMTAB_FUNC(rtw89_phy_read_rf, "", "");
KSYMTAB_FUNC(rtw89_phy_read_rf_v1, "", "");
KSYMTAB_FUNC(rtw89_phy_read_rf_v2, "", "");
KSYMTAB_FUNC(rtw89_phy_write_rf, "", "");
KSYMTAB_FUNC(rtw89_phy_write_rf_v1, "", "");
KSYMTAB_FUNC(rtw89_phy_write_rf_v2, "", "");
KSYMTAB_FUNC(rtw89_phy_config_rf_reg_v1, "", "");
KSYMTAB_FUNC(rtw89_phy_write32_idx, "", "");
KSYMTAB_FUNC(rtw89_phy_write32_idx_set, "", "");
KSYMTAB_FUNC(rtw89_phy_write32_idx_clr, "", "");
KSYMTAB_FUNC(rtw89_phy_read32_idx, "", "");
KSYMTAB_FUNC(rtw89_phy_set_phy_regs, "", "");
KSYMTAB_FUNC(rtw89_phy_write_reg3_tbl, "", "");
KSYMTAB_FUNC(rtw89_phy_ant_gain_pwr_offset, "", "");
KSYMTAB_FUNC(rtw89_phy_load_txpwr_byrate, "", "");
KSYMTAB_FUNC(rtw89_phy_read_txpwr_limit, "", "");
KSYMTAB_FUNC(rtw89_phy_rfk_pre_ntfy_and_wait, "", "");
KSYMTAB_FUNC(rtw89_phy_rfk_tssi_and_wait, "", "");
KSYMTAB_FUNC(rtw89_phy_rfk_iqk_and_wait, "", "");
KSYMTAB_FUNC(rtw89_phy_rfk_dpk_and_wait, "", "");
KSYMTAB_FUNC(rtw89_phy_rfk_txgapk_and_wait, "", "");
KSYMTAB_FUNC(rtw89_phy_rfk_dack_and_wait, "", "");
KSYMTAB_FUNC(rtw89_phy_rfk_rxdck_and_wait, "", "");
KSYMTAB_FUNC(rtw89_rfk_chan_lookup, "", "");
KSYMTAB_FUNC(rtw89_rfk_parser, "", "");
KSYMTAB_FUNC(rtw89_phy_tssi_ctrl_set_bandedge_cfg, "", "");
KSYMTAB_FUNC(rtw89_encode_chan_idx, "", "");
KSYMTAB_FUNC(rtw89_decode_chan_idx, "", "");
KSYMTAB_FUNC(rtw89_phy_get_kpath, "", "");
KSYMTAB_FUNC(rtw89_phy_get_syn_sel, "", "");
KSYMTAB_DATA(rtw89_phy_gen_ax, "", "");
KSYMTAB_DATA(rtw89_phy_gen_be, "", "");
KSYMTAB_FUNC(rtw89_fw_h2c_dctl_sec_cam_v1, "", "");
KSYMTAB_FUNC(rtw89_fw_h2c_dctl_sec_cam_v2, "", "");
KSYMTAB_FUNC(rtw89_fw_h2c_default_dmac_tbl_v2, "", "");
KSYMTAB_FUNC(rtw89_fw_h2c_ba_cam, "", "");
KSYMTAB_FUNC(rtw89_fw_h2c_ba_cam_v1, "", "");
KSYMTAB_FUNC(rtw89_fw_h2c_default_cmac_tbl, "", "");
KSYMTAB_FUNC(rtw89_fw_h2c_default_cmac_tbl_g7, "", "");
KSYMTAB_FUNC(rtw89_fw_h2c_assoc_cmac_tbl, "", "");
KSYMTAB_FUNC(rtw89_fw_h2c_assoc_cmac_tbl_g7, "", "");
KSYMTAB_FUNC(rtw89_fw_h2c_ampdu_cmac_tbl_g7, "", "");
KSYMTAB_FUNC(rtw89_fw_h2c_update_beacon, "", "");
KSYMTAB_FUNC(rtw89_fw_h2c_update_beacon_be, "", "");
KSYMTAB_FUNC(rtw89_fw_h2c_rf_ntfy_mcc, "", "");
KSYMTAB_FUNC(rtw89_read_efuse_ver, "", "");
KSYMTAB_FUNC(rtw89_btc_set_policy, "", "");
KSYMTAB_FUNC(rtw89_btc_set_policy_v1, "", "");
KSYMTAB_FUNC(rtw89_btc_ntfy_wl_rfk, "", "");
KSYMTAB_FUNC(__rtw89_mgnt_chan_get, "", "");
KSYMTAB_FUNC(rtw89_ser_notify, "", "");
KSYMTAB_FUNC(rtw89_linear_2_db, "", "");
KSYMTAB_FUNC(rtw89_db_2_linear, "", "");

SYMBOL_CRC(rtw89_core_fill_txdesc, 0x142d98c1, "");
SYMBOL_CRC(rtw89_core_fill_txdesc_v1, 0xb63fd782, "");
SYMBOL_CRC(rtw89_core_fill_txdesc_v2, 0xe2806057, "");
SYMBOL_CRC(rtw89_core_fill_txdesc_fwcmd_v1, 0xdd77a6d0, "");
SYMBOL_CRC(rtw89_core_fill_txdesc_fwcmd_v2, 0x89c81105, "");
SYMBOL_CRC(rtw89_core_query_rxdesc, 0xf2afbf70, "");
SYMBOL_CRC(rtw89_core_query_rxdesc_v2, 0x0ac5a495, "");
SYMBOL_CRC(rtw89_core_rx, 0x18fb881d, "");
SYMBOL_CRC(rtw89_core_napi_start, 0x0e21666a, "");
SYMBOL_CRC(rtw89_core_napi_stop, 0xb15dbb3d, "");
SYMBOL_CRC(rtw89_core_napi_init, 0xfb4f99e1, "");
SYMBOL_CRC(rtw89_core_napi_deinit, 0xdd629a82, "");
SYMBOL_CRC(rtw89_check_quirks, 0x8cc04e54, "");
SYMBOL_CRC(rtw89_core_init, 0x17fa512f, "");
SYMBOL_CRC(rtw89_core_deinit, 0x44b1ee33, "");
SYMBOL_CRC(rtw89_chip_info_setup, 0x048a8d29, "");
SYMBOL_CRC(rtw89_core_register, 0x2d086db8, "");
SYMBOL_CRC(rtw89_core_unregister, 0x13c6eb7f, "");
SYMBOL_CRC(rtw89_alloc_ieee80211_hw, 0x5dbfba9a, "");
SYMBOL_CRC(rtw89_free_ieee80211_hw, 0xbe7026cb, "");
SYMBOL_CRC(rtw89_ops, 0x6476bd7f, "");
SYMBOL_CRC(rtw89_mac_get_err_status, 0xa13ae798, "");
SYMBOL_CRC(rtw89_mac_set_err_status, 0x43d32d4b, "");
SYMBOL_CRC(rtw89_mac_size, 0x8042eefb, "");
SYMBOL_CRC(rtw89_mac_stop_sch_tx, 0x3f4ee611, "");
SYMBOL_CRC(rtw89_mac_stop_sch_tx_v1, 0xb9533f57, "");
SYMBOL_CRC(rtw89_mac_resume_sch_tx, 0x5f387a96, "");
SYMBOL_CRC(rtw89_mac_resume_sch_tx_v1, 0x715753c5, "");
SYMBOL_CRC(rtw89_mac_enable_bb_rf, 0x9104537c, "");
SYMBOL_CRC(rtw89_mac_disable_bb_rf, 0x6eddf4b8, "");
SYMBOL_CRC(rtw89_mac_coex_init, 0x8b3638be, "");
SYMBOL_CRC(rtw89_mac_coex_init_v1, 0x9385095a, "");
SYMBOL_CRC(rtw89_mac_cfg_gnt, 0x4d6c9df0, "");
SYMBOL_CRC(rtw89_mac_cfg_gnt_v1, 0xb6b09596, "");
SYMBOL_CRC(rtw89_mac_cfg_ctrl_path, 0xa2b0366d, "");
SYMBOL_CRC(rtw89_mac_cfg_ctrl_path_v1, 0xfadd6d64, "");
SYMBOL_CRC(rtw89_mac_gen_ax, 0x4589b86b, "");
SYMBOL_CRC(rtw89_mac_cfg_gnt_v2, 0xed0eb4ce, "");
SYMBOL_CRC(rtw89_mac_cfg_ctrl_path_v2, 0x567ef12c, "");
SYMBOL_CRC(rtw89_mac_stop_sch_tx_v2, 0x3e45550c, "");
SYMBOL_CRC(rtw89_mac_resume_sch_tx_v2, 0x56d40951, "");
SYMBOL_CRC(rtw89_mac_cfg_phy_rpt_be, 0x63ea6f15, "");
SYMBOL_CRC(rtw89_mac_gen_be, 0xe89ef0f6, "");
SYMBOL_CRC(rtw89_phy_get_txsc, 0xb597b738, "");
SYMBOL_CRC(rtw89_phy_get_txsb, 0x6681baad, "");
SYMBOL_CRC(rtw89_phy_read_rf, 0xd7e7eb3c, "");
SYMBOL_CRC(rtw89_phy_read_rf_v1, 0x5aab8d14, "");
SYMBOL_CRC(rtw89_phy_read_rf_v2, 0xf58021ec, "");
SYMBOL_CRC(rtw89_phy_write_rf, 0x990c59f3, "");
SYMBOL_CRC(rtw89_phy_write_rf_v1, 0xe6aa9135, "");
SYMBOL_CRC(rtw89_phy_write_rf_v2, 0xa13fe90b, "");
SYMBOL_CRC(rtw89_phy_config_rf_reg_v1, 0xc0fc90af, "");
SYMBOL_CRC(rtw89_phy_write32_idx, 0xd71ab9a5, "");
SYMBOL_CRC(rtw89_phy_write32_idx_set, 0x54e577fd, "");
SYMBOL_CRC(rtw89_phy_write32_idx_clr, 0x92e1e278, "");
SYMBOL_CRC(rtw89_phy_read32_idx, 0xdc74750c, "");
SYMBOL_CRC(rtw89_phy_set_phy_regs, 0xff2dca09, "");
SYMBOL_CRC(rtw89_phy_write_reg3_tbl, 0xc3708efc, "");
SYMBOL_CRC(rtw89_phy_ant_gain_pwr_offset, 0x11f28703, "");
SYMBOL_CRC(rtw89_phy_load_txpwr_byrate, 0x64d9b2ff, "");
SYMBOL_CRC(rtw89_phy_read_txpwr_limit, 0xc047928d, "");
SYMBOL_CRC(rtw89_phy_rfk_pre_ntfy_and_wait, 0xd23ec3c7, "");
SYMBOL_CRC(rtw89_phy_rfk_tssi_and_wait, 0xc3af2a3a, "");
SYMBOL_CRC(rtw89_phy_rfk_iqk_and_wait, 0x65f2e247, "");
SYMBOL_CRC(rtw89_phy_rfk_dpk_and_wait, 0x750d993d, "");
SYMBOL_CRC(rtw89_phy_rfk_txgapk_and_wait, 0xe374f6aa, "");
SYMBOL_CRC(rtw89_phy_rfk_dack_and_wait, 0x7c9e09ad, "");
SYMBOL_CRC(rtw89_phy_rfk_rxdck_and_wait, 0x6219d121, "");
SYMBOL_CRC(rtw89_rfk_chan_lookup, 0xcebf16b2, "");
SYMBOL_CRC(rtw89_rfk_parser, 0x743fc7a0, "");
SYMBOL_CRC(rtw89_phy_tssi_ctrl_set_bandedge_cfg, 0x080afefc, "");
SYMBOL_CRC(rtw89_encode_chan_idx, 0x2d33979f, "");
SYMBOL_CRC(rtw89_decode_chan_idx, 0xc33b9560, "");
SYMBOL_CRC(rtw89_phy_get_kpath, 0xa973e69c, "");
SYMBOL_CRC(rtw89_phy_get_syn_sel, 0x298a14a2, "");
SYMBOL_CRC(rtw89_phy_gen_ax, 0x0a7bb83c, "");
SYMBOL_CRC(rtw89_phy_gen_be, 0x7ed95a7d, "");
SYMBOL_CRC(rtw89_fw_h2c_dctl_sec_cam_v1, 0xe1078874, "");
SYMBOL_CRC(rtw89_fw_h2c_dctl_sec_cam_v2, 0x75fa5e7a, "");
SYMBOL_CRC(rtw89_fw_h2c_default_dmac_tbl_v2, 0xc748ad69, "");
SYMBOL_CRC(rtw89_fw_h2c_ba_cam, 0x6eeecd40, "");
SYMBOL_CRC(rtw89_fw_h2c_ba_cam_v1, 0x51b80e85, "");
SYMBOL_CRC(rtw89_fw_h2c_default_cmac_tbl, 0x088af2ad, "");
SYMBOL_CRC(rtw89_fw_h2c_default_cmac_tbl_g7, 0x23a60846, "");
SYMBOL_CRC(rtw89_fw_h2c_assoc_cmac_tbl, 0xf9c7b2cc, "");
SYMBOL_CRC(rtw89_fw_h2c_assoc_cmac_tbl_g7, 0x92a7db88, "");
SYMBOL_CRC(rtw89_fw_h2c_ampdu_cmac_tbl_g7, 0x74f8a442, "");
SYMBOL_CRC(rtw89_fw_h2c_update_beacon, 0xbc921e5b, "");
SYMBOL_CRC(rtw89_fw_h2c_update_beacon_be, 0x38d62468, "");
SYMBOL_CRC(rtw89_fw_h2c_rf_ntfy_mcc, 0xa0cf6c80, "");
SYMBOL_CRC(rtw89_read_efuse_ver, 0x684e4da8, "");
SYMBOL_CRC(rtw89_btc_set_policy, 0x00bc6676, "");
SYMBOL_CRC(rtw89_btc_set_policy_v1, 0xf8955c1f, "");
SYMBOL_CRC(rtw89_btc_ntfy_wl_rfk, 0xb3e90c49, "");
SYMBOL_CRC(__rtw89_mgnt_chan_get, 0x2de145ee, "");
SYMBOL_CRC(rtw89_ser_notify, 0x4e0f59d5, "");
SYMBOL_CRC(rtw89_linear_2_db, 0x8b2996f1, "");
SYMBOL_CRC(rtw89_db_2_linear, 0xe44a7282, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x6f296547, "ieee80211_stop_tx_ba_session" },
	{ 0x70e3fb9f, "ieee80211_gtk_rekey_notify" },
	{ 0x6e91f3ff, "device_set_wakeup_enable" },
	{ 0x9e7d6bd0, "__udelay" },
	{ 0x617a2ac7, "ieee80211_connection_loss" },
	{ 0x04d82296, "ieee80211_report_wowlan_wakeup" },
	{ 0xd0e9fb09, "release_firmware" },
	{ 0x923ae8f4, "is_acpi_device_node" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x931d5cc1, "__ieee80211_schedule_txq" },
	{ 0x127d5258, "ieee80211_txq_get_depth" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0xb6a87d7a, "cfg80211_bss_iter" },
	{ 0x9594b1fb, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xaf70bc63, "__kmalloc_noprof" },
	{ 0xb7dfd0b0, "consume_skb" },
	{ 0x8235805b, "memmove" },
	{ 0xc358aaf8, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xb2d48a2e, "queue_work_on" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xa0056906, "ieee80211_free_hw" },
	{ 0x3c7719d5, "ieee80211_probereq_get" },
	{ 0x84360bd4, "ieee80211_txq_schedule_start" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0xa9cbd948, "request_firmware" },
	{ 0x09766639, "ieee80211_iterate_stations_atomic" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0xb2951093, "ieee80211_start_tx_ba_session" },
	{ 0x2e60bace, "memcpy" },
	{ 0x703c4bae, "regulatory_hint" },
	{ 0x037a0cba, "kfree" },
	{ 0x1eb9516e, "round_jiffies_relative" },
	{ 0x370b9533, "ieee80211_nullfunc_get" },
	{ 0x2e92d24f, "pcpu_hot" },
	{ 0x8bfa54ea, "ieee80211_pspoll_get" },
	{ 0xf18975a8, "ieee80211_register_hw" },
	{ 0xea761fda, "ieee80211_emulate_change_chanctx" },
	{ 0x4db69f3a, "netif_napi_add_weight_locked" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xe9f6c575, "ieee80211_restart_hw" },
	{ 0x603f1f33, "atomic64_inc_return_cx8" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x0e84445b, "pskb_expand_head" },
	{ 0x7f24de73, "jiffies_to_usecs" },
	{ 0x3c744e95, "cfg80211_calculate_bitrate" },
	{ 0xbc4e2679, "ieee80211_find_sta" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0xcce27038, "ieee80211_get_key_rx_seq" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0x61e94681, "ieee80211_sta_uapsd_trigger" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x0296695f, "refcount_warn_saturate" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x8598f589, "__napi_schedule" },
	{ 0x360e6c3f, "__kmalloc_large_noprof" },
	{ 0xb9784e55, "ieee80211_set_key_rx_seq" },
	{ 0xf331bb7f, "_dev_info" },
	{ 0xe109910f, "skb_queue_tail" },
	{ 0xded1373d, "ieee80211_stop_tx_ba_cb_irqsafe" },
	{ 0x9d6cba30, "cfg80211_find_elem_match" },
	{ 0x5322663e, "acpi_get_handle" },
	{ 0x984fde60, "wiphy_to_ieee80211_hw" },
	{ 0x519b67cd, "ieee80211_gtk_rekey_add" },
	{ 0xcabf97bc, "ieee80211_queue_delayed_work" },
	{ 0xae5a04bb, "acpi_evaluate_dsm" },
	{ 0xeadac1b2, "_dev_err" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x7505bdef, "memchr_inv" },
	{ 0x3939f8f0, "rfkill_pause_polling" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xbb8da598, "sk_skb_reason_drop" },
	{ 0x6232174e, "ieee80211_next_txq" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x555e3ea7, "ieee80211_remain_on_channel_expired" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0x3485351e, "skb_push" },
	{ 0x08757088, "napi_enable" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0xadb0efb2, "seq_putc" },
	{ 0xc8742a95, "ieee80211_sta_pspoll" },
	{ 0x4b357244, "ieee80211_wake_queues" },
	{ 0x740f1741, "free_netdev" },
	{ 0xea4a09cb, "mod_delayed_work_on" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x5152e605, "memcmp" },
	{ 0x33cee22b, "ieee80211_iter_keys_rcu" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x7ed52ab8, "ieee80211_free_txskb" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xaa4c992e, "dev_coredumpv" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0xfccf9f78, "ieee80211_alloc_hw_nm" },
	{ 0x5e35dc80, "__fortify_panic" },
	{ 0x76db985b, "ieee80211_tx_dequeue" },
	{ 0xa15d0131, "cancel_delayed_work" },
	{ 0x6bedf402, "ieee80211_freq_khz_to_channel" },
	{ 0x2bc95bd4, "memset" },
	{ 0x4638d997, "_dev_warn" },
	{ 0xe5a677b7, "ieee80211_emulate_add_chanctx" },
	{ 0x69b18f43, "rfc1042_header" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x7682717a, "kmemdup_noprof" },
	{ 0x2641cb7d, "ieee80211_emulate_switch_vif_chanctx" },
	{ 0x62c09c73, "__netdev_alloc_skb" },
	{ 0x93d6dd8c, "complete_all" },
	{ 0xa8ef80e1, "ieee80211_ready_on_channel" },
	{ 0xa577fa58, "ieee80211_stop_queues" },
	{ 0x3c4078da, "skb_trim" },
	{ 0xa8817873, "skb_unlink" },
	{ 0xcba5218a, "__netif_napi_del_locked" },
	{ 0xeb3bd0b5, "wiphy_rfkill_set_hw_state_reason" },
	{ 0x64bde8cc, "wiphy_rfkill_start_polling" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x4c679dd1, "alloc_netdev_dummy" },
	{ 0x999e8297, "vfree" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0x6abca3b7, "ieee80211_scan_completed" },
	{ 0xb544474f, "ieee80211_iterate_active_interfaces_atomic" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0x29d9f26e, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xf3322ae0, "param_ops_bool" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x6580f998, "acpi_evaluate_object" },
	{ 0x202dbd84, "ieee80211_unregister_hw" },
	{ 0xc1eaf630, "seq_write" },
	{ 0x2545b7b4, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xa6e36705, "vzalloc_noprof" },
	{ 0x4205ad24, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x384785e1, "seq_printf" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0xf74f3fce, "ieee80211_beacon_get_tim" },
	{ 0x5584448a, "ieee80211_channel_to_freq_khz" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x6a6d43de, "skb_copy" },
	{ 0x7ef39823, "ieee80211_hdrlen" },
	{ 0x0c3690fc, "_raw_spin_lock_bh" },
	{ 0x23026b4b, "cfg80211_chandef_create" },
	{ 0x08b8852f, "ieee80211_cqm_rssi_notify" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0x3e82f3e9, "get_random_bytes" },
	{ 0x9e7dae7e, "ieee80211_queue_work" },
	{ 0xe7822ca9, "napi_schedule_prep" },
	{ 0xd0d8621b, "strlen" },
	{ 0xc36cb6a5, "napi_disable" },
	{ 0x0b67e7d9, "ieee80211_sta_ps_transition" },
	{ 0x9ccaa280, "dev_kfree_skb_any_reason" },
	{ 0xa5d8aaaf, "ieee80211_emulate_remove_chanctx" },
	{ 0xf9a482f9, "msleep" },
	{ 0x050877b9, "dmi_first_match" },
	{ 0x6776093b, "atomic64_set_cx8" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x82af48b8, "kmalloc_caches" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x92b57248, "flush_work" },
	{ 0xed23bc58, "ieee80211_rx_napi" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0xee11a538, "module_layout" },
};

MODULE_INFO(depends, "mac80211,cfg80211,rfkill");


MODULE_INFO(srcversion, "CAF7692A57BCB507CFB06ED");
