#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(spmi_device_add, "_gpl", "");
KSYMTAB_FUNC(spmi_device_remove, "_gpl", "");
KSYMTAB_FUNC(spmi_register_read, "_gpl", "");
KSYMTAB_FUNC(spmi_ext_register_read, "_gpl", "");
KSYMTAB_FUNC(spmi_ext_register_readl, "_gpl", "");
KSYMTAB_FUNC(spmi_register_write, "_gpl", "");
KSYMTAB_FUNC(spmi_register_zero_write, "_gpl", "");
KSYMTAB_FUNC(spmi_ext_register_write, "_gpl", "");
KSYMTAB_FUNC(spmi_ext_register_writel, "_gpl", "");
KSYMTAB_FUNC(spmi_command_reset, "_gpl", "");
KSYMTAB_FUNC(spmi_command_sleep, "_gpl", "");
KSYMTAB_FUNC(spmi_command_wakeup, "_gpl", "");
KSYMTAB_FUNC(spmi_command_shutdown, "_gpl", "");
KSYMTAB_FUNC(spmi_find_device_by_of_node, "_gpl", "");
KSYMTAB_FUNC(spmi_device_alloc, "_gpl", "");
KSYMTAB_FUNC(spmi_controller_alloc, "_gpl", "");
KSYMTAB_FUNC(spmi_controller_add, "_gpl", "");
KSYMTAB_FUNC(spmi_controller_remove, "_gpl", "");
KSYMTAB_FUNC(__spmi_driver_register, "_gpl", "");

SYMBOL_CRC(spmi_device_add, 0x2d44a9e8, "_gpl");
SYMBOL_CRC(spmi_device_remove, 0x403654be, "_gpl");
SYMBOL_CRC(spmi_register_read, 0x3560f45a, "_gpl");
SYMBOL_CRC(spmi_ext_register_read, 0xd97c6f9e, "_gpl");
SYMBOL_CRC(spmi_ext_register_readl, 0x53aec368, "_gpl");
SYMBOL_CRC(spmi_register_write, 0xac6f3099, "_gpl");
SYMBOL_CRC(spmi_register_zero_write, 0x8066c835, "_gpl");
SYMBOL_CRC(spmi_ext_register_write, 0xaef3237c, "_gpl");
SYMBOL_CRC(spmi_ext_register_writel, 0x0972ef31, "_gpl");
SYMBOL_CRC(spmi_command_reset, 0x040e4320, "_gpl");
SYMBOL_CRC(spmi_command_sleep, 0xb7fe1fa3, "_gpl");
SYMBOL_CRC(spmi_command_wakeup, 0xe38c230c, "_gpl");
SYMBOL_CRC(spmi_command_shutdown, 0xf040cba5, "_gpl");
SYMBOL_CRC(spmi_find_device_by_of_node, 0x0e08dd5c, "_gpl");
SYMBOL_CRC(spmi_device_alloc, 0x955e3135, "_gpl");
SYMBOL_CRC(spmi_controller_alloc, 0x426a105b, "_gpl");
SYMBOL_CRC(spmi_controller_add, 0x61781cc1, "_gpl");
SYMBOL_CRC(spmi_controller_remove, 0x9b89fcce, "_gpl");
SYMBOL_CRC(__spmi_driver_register, 0x0500673e, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xad94517a, "perf_trace_buf_alloc" },
	{ 0x6769c8ad, "perf_trace_run_bpf_submit" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x2e60bace, "memcpy" },
	{ 0xbfbfb7bb, "trace_event_buffer_reserve" },
	{ 0x41d0f803, "trace_event_buffer_commit" },
	{ 0x72319830, "__trace_trigger_soft_disabled" },
	{ 0x82137e42, "trace_raw_output_prep" },
	{ 0xa1b08be9, "trace_event_printf" },
	{ 0x72eb7a8b, "trace_handle_return" },
	{ 0x285c9bcb, "bpf_trace_run5" },
	{ 0xafa45dc3, "bpf_trace_run4" },
	{ 0xa16d4f4b, "bpf_trace_run3" },
	{ 0xa2fb755e, "bpf_trace_run6" },
	{ 0xbe8a9af3, "dev_set_name" },
	{ 0xc3ce615e, "device_add" },
	{ 0x78ef3f57, "__dynamic_dev_dbg" },
	{ 0xeadac1b2, "_dev_err" },
	{ 0xeeca85a3, "device_unregister" },
	{ 0xffb7c514, "ida_free" },
	{ 0x037a0cba, "kfree" },
	{ 0x95dc9810, "__pm_runtime_set_status" },
	{ 0x48dcb804, "pm_runtime_enable" },
	{ 0xe85396da, "__pm_runtime_disable" },
	{ 0xb27df94d, "of_device_uevent_modalias" },
	{ 0xb53ab73e, "device_match_of_node" },
	{ 0x84f7e0b0, "bus_find_device" },
	{ 0xe5515291, "driver_register" },
	{ 0xf243aa7a, "bus_unregister" },
	{ 0xb709e456, "bus_register" },
	{ 0x7348c64e, "device_for_each_child" },
	{ 0x30c948b7, "device_del" },
	{ 0xaf70bc63, "__kmalloc_noprof" },
	{ 0x4998f1c6, "device_initialize" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0xee87f84c, "put_device" },
	{ 0xe63409de, "of_match_device" },
	{ 0x6c2e3320, "strncmp" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x82af48b8, "kmalloc_caches" },
	{ 0x2545b7b4, "__kmalloc_cache_noprof" },
	{ 0x904e17b6, "of_get_next_available_child" },
	{ 0xb1809bfd, "of_property_read_variable_u32_array" },
	{ 0x2862be6b, "device_set_node" },
	{ 0x7d3fcdf2, "__pm_runtime_resume" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0x2e92d24f, "pcpu_hot" },
	{ 0x7bcf5f59, "__cpu_online_mask" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0xff379d94, "trace_event_reg" },
	{ 0x2955d2fe, "trace_event_raw_init" },
	{ 0xee11a538, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "685E0351E165493F1D75B73");
