#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(qrtr_endpoint_post, "_gpl", "");
KSYMTAB_FUNC(qrtr_endpoint_register, "_gpl", "");
KSYMTAB_FUNC(qrtr_endpoint_unregister, "_gpl", "");
KSYMTAB_FUNC(qrtr_ns_init, "_gpl", "");
KSYMTAB_FUNC(qrtr_ns_remove, "_gpl", "");

SYMBOL_CRC(qrtr_endpoint_post, 0x082203d4, "_gpl");
SYMBOL_CRC(qrtr_endpoint_register, 0x0afecbd2, "_gpl");
SYMBOL_CRC(qrtr_endpoint_unregister, 0xc09c8bf9, "_gpl");
SYMBOL_CRC(qrtr_ns_init, 0xa47e91ba, "_gpl");
SYMBOL_CRC(qrtr_ns_remove, 0x8d25501f, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xf358d233, "skb_free_datagram" },
	{ 0x4ca0fb8a, "sock_queue_rcv_skb_reason" },
	{ 0xc13a4418, "__skb_pad" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xafa45dc3, "bpf_trace_run4" },
	{ 0x1bc5ed31, "skb_copy_bits" },
	{ 0x6fbc6a00, "radix_tree_insert" },
	{ 0x9594b1fb, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xb7dfd0b0, "consume_skb" },
	{ 0xb2d48a2e, "queue_work_on" },
	{ 0x82137e42, "trace_raw_output_prep" },
	{ 0xa85bbe00, "__SCT__tp_func_sk_data_ready" },
	{ 0x80816f26, "get_user_ifreq" },
	{ 0x72319830, "__trace_trigger_soft_disabled" },
	{ 0x70ad75fb, "radix_tree_lookup" },
	{ 0x51a511eb, "_raw_write_lock_bh" },
	{ 0xa1b08be9, "trace_event_printf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xa02ad868, "kernel_bind" },
	{ 0x5b747ec2, "refcount_dec_and_mutex_lock" },
	{ 0x62737e1d, "sock_unregister" },
	{ 0x2955d2fe, "trace_event_raw_init" },
	{ 0x2e60bace, "memcpy" },
	{ 0x037a0cba, "kfree" },
	{ 0x2e92d24f, "pcpu_hot" },
	{ 0xe7ab1ecc, "_raw_write_unlock_bh" },
	{ 0xb2bd5028, "__tracepoint_sk_data_ready" },
	{ 0xe2964344, "__wake_up" },
	{ 0xb912eb9e, "__module_get" },
	{ 0xec300b7c, "kernel_recvmsg" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x2ed79169, "__pskb_copy_fclone" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x91e8a0cc, "sk_error_report" },
	{ 0x4809dbb8, "skb_queue_purge_reason" },
	{ 0x5fc52abd, "radix_tree_iter_delete" },
	{ 0x41d0f803, "trace_event_buffer_commit" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x070f7896, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0x5aa6d9ea, "proto_unregister" },
	{ 0xc2dce116, "sock_register" },
	{ 0x8bbcf4bf, "datagram_poll" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x0296695f, "refcount_warn_saturate" },
	{ 0xeca684f7, "__alloc_skb" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x107fdcfc, "const_pcpu_hot" },
	{ 0xaf338968, "proto_register" },
	{ 0xc6cbbc89, "capable" },
	{ 0xe1df6b04, "module_put" },
	{ 0x9114b616, "__xa_alloc" },
	{ 0xe119d106, "sock_no_shutdown" },
	{ 0xad94517a, "perf_trace_buf_alloc" },
	{ 0x6769c8ad, "perf_trace_run_bpf_submit" },
	{ 0x456dfd9d, "init_net" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x5df2b678, "radix_tree_next_chunk" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xbb8da598, "sk_skb_reason_drop" },
	{ 0xa85a3e6d, "xa_load" },
	{ 0xb19f1a5c, "kernel_getsockname" },
	{ 0x5102a30b, "do_wait_intr_irq" },
	{ 0xc1b133ea, "sk_free" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x303137f1, "sock_no_accept" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0x3485351e, "skb_push" },
	{ 0xe3479c0d, "sock_no_listen" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0xff379d94, "trace_event_reg" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x7bcf5f59, "__cpu_online_mask" },
	{ 0x318f8f45, "lock_sock_nested" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0x4d77c40e, "skb_copy_datagram_iter" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xcee53298, "sk_alloc" },
	{ 0xe3e2bb46, "sock_no_socketpair" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xdefcdc5c, "sock_no_mmap" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x62c09c73, "__netdev_alloc_skb" },
	{ 0x7dcf4135, "__xa_insert" },
	{ 0x0745a981, "xa_erase" },
	{ 0xa16d4f4b, "bpf_trace_run3" },
	{ 0x155feb8c, "skb_set_owner_w" },
	{ 0xbfbfb7bb, "trace_event_buffer_reserve" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0x23741bc4, "sock_create_kern" },
	{ 0x00aa1603, "xa_find" },
	{ 0x86f2b4eb, "skb_recv_datagram" },
	{ 0x1f406ea2, "sock_alloc_send_pskb" },
	{ 0x2545b7b4, "__kmalloc_cache_noprof" },
	{ 0x4205ad24, "cancel_work_sync" },
	{ 0x5b3e282f, "xa_store" },
	{ 0xf16ea333, "_copy_from_iter" },
	{ 0xb4c39633, "sock_release" },
	{ 0xb91c38ab, "sock_gettstamp" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0x344d8e0c, "xa_find_after" },
	{ 0xd0d8621b, "strlen" },
	{ 0xbd32259f, "iov_iter_revert" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x8b37f1e9, "kernel_sendmsg" },
	{ 0x72eb7a8b, "trace_handle_return" },
	{ 0x399f9d6e, "sock_init_data" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x87809aeb, "put_user_ifreq" },
	{ 0x82af48b8, "kmalloc_caches" },
	{ 0x7cb0788b, "release_sock" },
	{ 0xee11a538, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "473C5AB47E04ECEA0106681");
