#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(max98090_mic_detect, "_gpl", "");

SYMBOL_CRC(max98090_mic_detect, 0x96f4726c, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xcd911165, "snd_soc_dapm_put_enum_double" },
	{ 0xe1416ea8, "regcache_cache_only" },
	{ 0x01bb213b, "regcache_sync" },
	{ 0xdbaa0380, "regmap_write" },
	{ 0x7f99eb17, "devm_request_threaded_irq" },
	{ 0xc58919d7, "devm_kmalloc" },
	{ 0xb1809bfd, "of_property_read_variable_u32_array" },
	{ 0x34cf1940, "snd_soc_jack_report" },
	{ 0xb2d48a2e, "queue_work_on" },
	{ 0xde6cf3ac, "snd_soc_bytes_put" },
	{ 0x87f38821, "snd_soc_component_read" },
	{ 0x57e877af, "snd_soc_bytes_get" },
	{ 0xb4cf80f0, "snd_soc_put_enum_double" },
	{ 0x14203618, "regcache_mark_dirty" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x76d9b876, "clk_set_rate" },
	{ 0x78ef3f57, "__dynamic_dev_dbg" },
	{ 0xac822a7b, "devm_clk_get" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x273843a9, "snd_soc_component_write" },
	{ 0xfe60358d, "devm_snd_soc_register_component" },
	{ 0x7c9a7371, "clk_prepare" },
	{ 0x1686bbbe, "pm_wakeup_dev_event" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0xea78839d, "__devm_regmap_init_i2c" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xcf86cdac, "queue_delayed_work_on" },
	{ 0xc6bf59bd, "device_property_read_u32_array" },
	{ 0x21710b72, "snd_soc_get_enum_double" },
	{ 0xf331bb7f, "_dev_info" },
	{ 0x43f81957, "clk_round_rate" },
	{ 0x58a28616, "i2c_register_driver" },
	{ 0x3b9d9416, "snd_soc_info_volsw" },
	{ 0xeadac1b2, "_dev_err" },
	{ 0x5418149b, "snd_soc_get_volsw_range" },
	{ 0x52eeb7a0, "snd_soc_dapm_put_volsw" },
	{ 0xcc2e9e8d, "snd_soc_bytes_info" },
	{ 0xf248f42d, "snd_soc_info_volsw_range" },
	{ 0x2ffab0ba, "i2c_get_match_data" },
	{ 0xb46b7e89, "snd_soc_add_component_controls" },
	{ 0x4638d997, "_dev_warn" },
	{ 0xc1a69f19, "snd_soc_put_volsw_range" },
	{ 0x80aaaffa, "snd_soc_dapm_add_routes" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf1f481ef, "snd_soc_info_enum_double" },
	{ 0x39937b9f, "snd_soc_get_volsw" },
	{ 0x6102e88f, "regmap_read" },
	{ 0x77be1e00, "snd_soc_put_volsw" },
	{ 0x98b94eaa, "snd_soc_component_update_bits" },
	{ 0x29d9f26e, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xb56c019f, "snd_soc_dapm_new_controls" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x4205ad24, "cancel_work_sync" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xb6e6d99d, "clk_disable" },
	{ 0x509b5601, "snd_pcm_hw_constraint_msbits" },
	{ 0x6ce85f1a, "regmap_update_bits_base" },
	{ 0x2f48c93b, "snd_soc_dapm_get_volsw" },
	{ 0x76cd305e, "i2c_del_driver" },
	{ 0xc8fb1491, "snd_soc_dapm_get_enum_double" },
	{ 0x894b52af, "snd_soc_dai_active" },
	{ 0x815588a6, "clk_enable" },
	{ 0x2acda8a0, "snd_soc_params_to_bclk" },
	{ 0x47884890, "system_power_efficient_wq" },
	{ 0xf9a482f9, "msleep" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xe56a9336, "snd_pcm_format_width" },
	{ 0xb077e70a, "clk_unprepare" },
	{ 0xee11a538, "module_layout" },
};

MODULE_INFO(depends, "snd-soc-core,snd-pcm");

MODULE_ALIAS("acpi*:193C9890:*");
MODULE_ALIAS("i2c:max98090");
MODULE_ALIAS("i2c:max98091");
MODULE_ALIAS("of:N*T*Cmaxim,max98090");
MODULE_ALIAS("of:N*T*Cmaxim,max98090C*");
MODULE_ALIAS("of:N*T*Cmaxim,max98091");
MODULE_ALIAS("of:N*T*Cmaxim,max98091C*");

MODULE_INFO(srcversion, "74E7E484C46FFE4BFE3E62D");
